About This File

Framework 7.6 Solution Control Interface Help

Copyright © 2000–2007 Genesys Telecommunications Laboratories, Inc. All rights reserved.

76fr_sci-help_10-2007_v7.6.001.00

The information contained herein is proprietary and confidential and cannot be disclosed or duplicated without the prior written consent of Genesys Telecommunications Laboratories, Inc.

About Genesys

Genesys Telecommunications Laboratories, Inc., a subsidiary of Alcatel-Lucent, is 100% focused on software for call centers. Genesys recognizes that better interactions drive better business and build company reputations. Customer service solutions from Genesys deliver on this promise for Global 2000 enterprises, government organizations, and telecommunications service providers across 80 countries, directing more than 100 million customer interactions every day. Sophisticated routing and reporting across voice, e-mail, and Web channels ensure that customers are quickly connected to the best available resource—the first time. Genesys offers solutions for customer service, help desks, order desks, collections, outbound telesales and service, and workforce management. Visit www.genesyslab.com for more information.

Each product has its own documentation for online viewing on the Genesys Technical Support website or on the Genesys Documentation Library CD, which is available from Genesys upon request. For more information, contact your sales representative.

Notice

Although reasonable effort is made to ensure that the information in this document is complete and accurate at the time of release, Genesys Telecommunications Laboratories, Inc., cannot assume responsibility for any existing errors. Changes and/or corrections to the information contained in this document may be incorporated in future versions.

Your Responsibility for Your System’s Security

You are responsible for the security of your system. Product administration to prevent unauthorized use is your responsibility. Your system administrator should read all documents provided with this product to fully understand the features available that reduce your risk of incurring charges for unlicensed use of Genesys products.

Trademarks

Genesys and the Genesys logo are registered trademarks of Genesys Telecommunications Laboratories, Inc., in the USA and/or other countries. All other trademarks and trade names referred to in this document are the property of other companies.

Technical Support from VARs

If you have purchased this software from a value-added reseller (VAR), please contact the VAR for technical support.

Technical Support from Genesys

If you have purchased support directly from Genesys, please contact Genesys Technical Support at the following regional numbers:

North and Latin America | 888-369-5555 or 506-674-6767 | support@genesyslab.com
Europe, Middle East, and Africa | +44-(0)-118-974-7002 | support@genesyslab.co.uk
Asia Pacific | +61-7-3368-6868 | support@genesyslab.com.au
Japan | +81-3-5649-6821 | support@genesyslab.co.jp

Before contacting technical support, please refer to the Genesys Technical Support Guide for complete contact information and procedures.

Ordering Information

For complete information about ordering Genesys products, please see Licensing Genesys Products (for 6.5 and earlier products) or Genesys 7 Licensing Guide (for 7.0 and later products).

Released by

Genesys Telecommunications Laboratories, Inc.
www.genesyslab.com


SCI Overview

Overview

Solution Control Interface (SCI) provides a user-friendly interface for managing Genesys solutions (referred to as Solutions in this document). With SCI, a user can:

  • Monitor the status of all installed Solutions, both Genesys and user-defined.

  • Monitor the status of applications, both Genesys and third-party (those not developed by Genesys).

  • Monitor a geographically distributed environment.

  • Start and stop Genesys daemon applications (referred to as Applications in this document) and Solutions.

  • Start and stop third-party applications.

  • View information about detected alarms.

  • View maintenance logs.

  • Manage log records in the Centralized Log Database.

  • View system resource–usage information and the status of system processes.

  • View general configuration information for Applications and Solutions.

  • Check for configuration errors.

  • Resolve any issues with the help of an interactive troubleshooting tool.

  • Remotely deploy Management Layer and Configuration Layer components.

  • Customize the Solution Control Interface GUI according to personal preferences.


Printing This Help File

You can print a single topic (page) or all the topics (pages) within a single book. You cannot, however, print the entire Help file at once.

On the Table of Contents, select a topic or book and then do the following:

  1. Select the Print button.

  2. In the Print Topics dialog box, select either:

    • Print the selected topic

    • Print the selected heading and all subtopics

  3. Select OK.


Solution Control Interface

Interface Overview

Solution Control Interface (SCI) is a graphical user interface to the Management Layer. SCI consists of the Shortcuts bar, the Items Tree, the List pane, the Details pane which contains the application-specific Application Content Menu, and the Message Board.

In addition to the Details pane, the Details window displays all available information about some items.


Solution Control Interface

SCI Connections

For this interface to perform its major functions, you must connect it permanently to Solution Control Server (SCS) and Configuration Server. You can also optionally connect it via a Database Access Point (DAP) on DB Server to the Centralized Log Database (referred to as Log Database).

Warning! If you are connecting SCI to DB Server, always connect it via a DAP; otherwise, you will not be able to view any logs.

Note: Refer to the Framework 7.6 Deployment Guide and Framework 7.6 Configuration Manager Help for information about how to configure connections between applications.

Connecting to the Log Database

  • If your environment has only one Log Database, Solution Control Interface automatically connects to it upon startup (as long as the SCI Application object in the Configuration Database contains the appropriate Database Access Point Application object).

  • If your environment has more than one Log Database, SCI prompts you to select the Log Database you want to connect to in order to view log records (as long as the SCI Application object in the Configuration Database contains more than one Database Access Point Application object).

Connecting to Solution Control Server

Environments with One Solution Control Server

If you use the Solution Control Interface for both solution control and log viewing, SCI starts even if it cannot connect with Solution Control Server. You can connect to the server later, using the Reconnect command from the File menu.

Note: If you do not have a connection to a Solution Control Server, you can only use SCI for online log viewing.

Environments with Multiple Solution Control Servers

A geographically distributed contact center can use more than one Solution Control Server, but SCI works with only one SCS at a time. The SCI Application object in the Configuration Database, in this circumstance, must contain more than one SCS Application object among its connections.

If more than one SCS Application has been designated, SCI displays the Choose Servers dialog box immediately following login. To select the server to which SCI connects at startup, you must specify both the appropriate Solution Control Server and its database access point.

How SCS Works in a Distributed Contact Center

While operating in a distributed contact center, a particular SCS controls only the part of the environment; that is, a subset of Hosts, Solutions, and Applications. However, each SCS monitors the whole environment by communicating with other SCS instances in the same environment and forwarding control requests (such as requests to start or stop an Application) to the SCS that controls the object of interest (such as an Application). Therefore, Solution Control Interface connected to any SCS can monitor and control the whole environment. If necessary, you can use the Configuration Server permission mechanism to adjust the visibility of certain parts of the environment for SCI users.

Note: For information about how to configure an environment with multiple Solution Control Servers, see the Framework 7.6 Management Layer User's Guide.


Solution Control Interface > Menus, Toolbar, Shortcuts

Menus, Toolbar, Shortcuts Overview

The Solution Control Interface offers the following menus, toolbar, and shortcuts bars:

  • File Menu

  • Action Menu

  • View Menu

  • Help Menu

  • Application Content Menu (inside Details Pane)

  • Toolbar

  • View Shortcuts Bar

  • Log Shortcuts Bar


Solution Control Interface > Menus, Toolbar, Shortcuts

File Menu

The File menu provides access to these commands:

Open | Opens a log file in plain text or XML (Extensible Markup Language) format from a specified directory.
Print Setup | Sets paper and page parameters that control the arrangement of items on a printed page.
Print | Prints detailed information about the selected item.
Reconnect | Reestablishes a connection with a server (Solution Control Server, DB Server, or both) that is not currently connected.
Change Password | Opens the Change Password dialog box so you can change the password for Configuration Layer login. You can then use the new password to log in to any Genesys GUI application requiring a standard login procedure, including Solution Control Interface.
Recent Files | Lists recently opened files.
Exit | Closes the SCI session and disconnects from the Log Database, SCS, and Configuration Server.


Solution Control Interface > Menus, Toolbar, Shortcuts

Action Menu

The Action menu provides access to these commands:

Start | Starts a selected Application or Solution.
Start All Solutions | Starts all configured Solutions not yet started.
Stop | Shuts down a selected Application or Solution.
Clear All Alarms | Clears all active alarms from the system.
Clear Messages | Removes any system messages that the Message Board currently displays.
Find | Makes advanced selections from the Log Database.
Refresh | Updates the Centralized Log view with the latest log content.


Solution Control Interface > Menus, Toolbar, Shortcuts

View Menu

The View menu provides access to these commands:

Summary

Displays a summary of the current system status.

Active Alarms

Displays all Active Alarms.

Alarm History

Displays the log records related to Alarm History.

Alarm Conditions

Displays configured Alarm Conditions.

Hosts

Displays the configuration and current status of all Hosts that the Management Layer monitors.

Applications

Displays the current status of all configured daemon Applications.

Solutions

Displays the current status of all configured Solutions.

Scripts

Displays the configured Scripts of type Alarm Detection and Alarm Reaction.

Audit

Displays the log records generated for auditing purposes.

Centralized Log

Displays the specified log records from the Log Database.

  • All Log Records—displays all log records from the Log Database.

  • Alarm—displays log records related to alarm detection and removal.

  • Standard—displays log records of the Standard level.

  • Interaction—displays log records of the Interaction level.

  • Trace—displays log records of the Trace level.

Shortcuts Bar

Displays the Shortcuts bar when selected.

Items Tree

Displays the Items tree when selected.

Details Pane

Displays the Details pane when selected.

Toolbar

Displays the toolbar when selected.

Status Bar

Displays the status bar when selected.

System Messages

Displays the Message Board when selected.

Options

Displays the Options window when selected.


Solution Control Interface > Menus, Toolbar, Shortcuts

Help Menu

The Help menu offers some assistance on using SCI. The Contents, Search and Index menu items open the Solution Control Interface Help file, which describes how to use the application. The About Solution Control Interface menu item opens a window of the same name to display the Application's version and copyright information.


Solution Control Interface > Menus, Toolbar, Shortcuts

Toolbar

The toolbar is the set of control buttons at the top of the window.

To display the toolbar:

  • Select Toolbar from the View menu.

The toolbar provides access to these commands:

Open | Opens a log file in plain text format or in XML (Extensible Markup Language) format from a specified directory.
Print | Prints detailed information about the selected item.
Copy | Copies the selected item to an internal clipboard.
Refresh Items | Updates the log view with the latest log content.
Find Items | Makes advanced selections from the Log Database.
Start Solution/Application | Starts a selected Application or Solution.
Stop Solution/Application | Shuts down a selected Application or Solution.
Show/Hide Items Tree | Shows or hides the Items tree.
Show/Hide Details Pane | Shows or hides the Details pane.
Run a Wizard | Launches Configuration Checker, Management Layer Troubleshooter, Log Database Maintenance Wizard, Log Advanced Search Wizard, a Deployment Wizard selected from a menu, or a configuration wizard selected from a menu. The following configuration wizards are currently available: Log Configuration Wizard, Alarm Condition Wizard, Alarm Detection Wizard, and Alarm Reaction Wizard.
Up One Level | Displays in the List pane the items in the folder that are one level higher then the subfolder currently displayed.


View Shortcuts

Solution Control Interface > Menus, Toolbar, Shortcuts

Shortcuts Bar

To display the Shortcuts bar:

  • Select Shortcuts bar from the View menu. You can access these folders from the Shortcuts bar:

Summary | Displays a summary of the current system status.
Active Alarms | Displays all active alarms.
Hosts | Displays the configuration and current status of all Hosts that the Management Layer monitors.
Applications | Displays the current status of all configured Applications.
Solutions | Displays the current status of all configured Solutions.
Centralized Log | Displays all log records from the Log Database.
Alarm Conditions | Displays configured Alarm Conditions.
Scripts | Displays the configured Scripts of the Alarm Detection and Alarm Reaction type.
Alarm History | Displays the log records related to Alarm History.
Audit | Displays the log records generated for auditing purposes.


Log Shortcuts

Solution Control Interface > Menus, Toolbar, Shortcuts

Log Shortcuts Bar

To display the Log Shortcuts bar:

  • Click Log on the Shortcuts bar. If SCI does not display the Shortcuts bar, first select Shortcuts bar from the View menu and then click Log.

The Log Shortcuts bar provides access to these commands:

All Log Records | Displays all log records from the Log Database.
Alarm | Displays log records of the Alarm level.
Standard | Displays log records of the Standard level.
Interaction | Displays log records of the Interaction level.
Trace | Displays log records of the Trace level.


Interface Areas Overview

Solution Control Interface > Interface Areas

Interface Areas

The Solution Control Interface displays information about active alarms, solutions, hosts, scripts, alarm conditions, applications, log events, and alarm history in the following areas:

  • Items tree

  • List pane

  • Details pane

  • Message Board


Items Tree

To display this tree:

  • Select Items Tree from the View menu.

SCI provides these views:

[Configuration Server host]:[Configuration Server port] [user name] | Displays the Solutions Summary; that is, the current status of the system SCI has accessed under the specified user account through the specified Configuration Server.
Active Alarms | Displays all active alarms.
Scripts | Displays Scripts of type Alarm Detection and Alarm Reaction configured in the Configuration Database.
Alarm Conditions | Displays Alarm Conditions configured in the Configuration Database.
Applications | Displays the current status of all configured Applications.
Hosts | Displays the configuration and current status of all Hosts that the Management Layer monitors.
Solutions | Displays the current status of all configured Solutions.
Centralized Log | Displays all log records from the Log Database.
Alarm History | Displays the log records related to Alarm History.
Audit | Displays the log records generated for auditing purposes.


List Pane

Except for Summary items, all SCI views display information in the List pane for a specific item that you select on the Items tree.

To see more information about a selected item in the List pane, use either:

  • The Details pane.

  • The Details window.

The Details window is not available for items in these views:

  • Active Alarms

  • Scripts

  • Alarm Conditions

  • Any log-related views including Alarm History and Audit


Details Pane

To display the Details pane:

  • Select Details Pane from the View menu.

From the Details pane, you can view the following information for an item highlighted in the List pane:

  • Basic configuration information if the item is a Configuration Object (that is, Alarm Condition, Application, Host, Script, or Solution).

  • Detailed information if the item is a log entry (that is, an alarm in both alarm-related views or a log record of any priority level, including log records in the Audit view).


Message Board

Solution Control Interface directs all informational messages to the Message Board pane, including messages about runtime errors or disconnections. A pop-up notification box accompanies each new message that requires user interaction, and most pop-ups offer a choice of user actions.

To display the Message Board in the Solution Control Interface:

  • From the View menu, select System Messages.

To hide the Message Board:

  • Select System Messages, again, or press the Escape key.

To clear messages without closing the Message Board:

  • From the Action menu, select Clear Messages.

If hidden, SCI automatically displays the Message Board upon generating a new informational message.


solution Control Interface

Details Window

The Details window displays all available information for the selected item. To open this window, do one of the following:

  • On the Details pane for the selected item, click Open.

  • On the List pane, right-click the item name. Then, in the shortcut menu that appears, click Open.

  • In the Items tree, expand the item's folder. Right-click the item name, and then, in the shortcut menu that appears, click Open.

The Details window is available only for items in the following views:

  • Solutions

  • Hosts

  • Applications


Solution Control Interface

Options Window

You can customize the SCI GUI using the Options window.

To display this window in the Solution Control Interface:

  • Select Options from the View menu.

The Options window displays these tabs:

General

Displays the settings for how SCI looks.

  • Use the options in the Visibility group to select which bars and panes SCI displays at startup.

  • Use the Default View menu to set the default type of items that SCI displays in the List pane at startup.

  • Use the Recently Used Files List Size field to change the number of the previously opened files displayed in the File menu.

  • Use the options in the View Fonts group to set a new default font for each available view.

Connections

Displays the settings for SCI connections.

  • Use the options in the Last Connected Servers group to view the DB Server and SCS applications to which SCI can connect. Use the options in the same group to set the default servers to which SCI tries to connect at startup. Use these options only when the SCI Application object in the Configuration Database contains more than one DB Server and/or more than one SCS among its connections.

  • Use the options in the Reconnect Options group to direct SCI behavior when the connection fails; that is, whether SCI reconnects automatically after the assigned timeout or prompts a user to either reconnect to the disconnected server or connect to the backup server.

Alarming

Displays alarm notification settings.

  • Use the options in the Visual Notification group to direct SCI behavior when SCI receives a new alarm; that is, whether SCI notifies a user about the arrived alarm with an Alarm Notification window, switches automatically to the Active Alarms View, or does both.

  • Use the options in the Sound Notification group to specify whether and which sound file plays when a new alarm arrives. The sound file must be in the *.wav format.


Solution Control Interface

Configuration Checker

Using Configuration Checker, a tool in the Management Layer, you can check the configuration of the Genesys environment to find inconsistencies that might lead to errors in Application operation.

Configuration Checker verifies four areas of configuration:

General Configuration

Checks all configured Applications and Solutions for the following configuration errors:

  • The same port number specified for more than one Application

  • Applications not associated with any Host

  • Solutions containing no Applications

Management Layer Configuration

Checks configuration for:

  • All Applications, including network log output settings, and the details of the configuration of the Management Layer components.

Alarming Availability

Checks configuration of Alarm Conditions.

Distributed Solution Control Server Configuration

Checks configuration of Distributed Solution Control Servers and the objects they must control.

To start Configuration Checker:

  1. If the toolbar is not displayed, select Toolbar from the View menu.

  2. From the toolbar, click the Run a Wizard button, which opens the Select Wizard dialog box.

  3. In this dialog box, select Configuration Checker.

  4. Click OK, which opens the Management Layer Configuration Checker Welcome dialog box.

  5. Click Start and follow the instructions on the screen.


Solution Control Interface

Management Layer Troubleshooter

The Management Layer Troubleshooter is a tool that you can use to find the most commonly asked questions about enabling Management Layer functionality. The Management Layer Troubleshooter provides information about these five areas:

  • Alarming and Alarm Reaction Scripts

  • Logging

  • Status Monitoring

  • Solutions and Applications Management

  • Distributed Solution Control Servers

To start the Management Layer Troubleshooter:

  1. If the toolbar is not displayed, select Toolbar from the View menu.

  2. From the toolbar, click the Run a Wizard button, which opens the Select Wizard window.

  3. In this window, select Management Layer Troubleshooter.

  4. Click OK, which opens the Management Layer Troubleshooter Welcome window.

  5. Click Continue.

  6. Select a problem summary that describes the issue you are experiencing.

  7. Follow the instructions on the screen to find and correct the cause of the problem.


Solution Control Interface

Deployment Wizards

Use Deployment Wizards to install these 7.6 Framework components on a remote computer:

  • Local Control Agent

  • Message Server

  • Solution Control Server

  • Solution Control Interface

  • DB Server, either as an independent server or as a client of Configuration Server

  • Configuration Server

Before using any of these wizards, make sure that:

  • Computers from which and to which you install a Framework component meet the requirements listed in the Framework 7.6 Management Layer User's Guide.

  • A relevant Application object is configured in the Configuration Database.

  • You have the Framework 7.6 product CD that contains the installation package of the component and the release you wish to install.

To start a Deployment Wizard for any of the above components:

  1. If the toolbar is not displayed, select Toolbar from the View menu.

  2. From the toolbar, click the Run a Wizard button, which opens the Select Wizard dialog box.

  3. In this dialog box, open the Deployment folder.

  4. Select the Deployment Wizard for the component you intend to install (for example, select Local Control Agent Deployment Wizard to install LCA).

  5. Click OK, which opens the Deployment Wizard Welcome dialog box.

  6. Click Start.

  7. Follow the Wizard instructions, entering any configuration information that the Wizard requires.

The Wizard reports which step of the installation process is currently in progress and displays the Progress bar for that step.

After installation, the Wizard notifies you of a success or reports an error indicating the reason why installation failed.

Note: You can also start a Deployment Wizard for Applications of the above-mentioned types from the Host shortcut menu.


Monitoring Hosts

Monitoring Hosts Overview

Each host where Applications are installed has a component called Local Control Agent (LCA), which directly controls and monitors these Applications. Solution Control Server's ability to connect to the host's LCA determines host status. For more information about using Hosts, see Viewing Hosts and Viewing Host Log Records.


Monitoring Hosts > Viewing Hosts

Viewing Hosts Overview

To display the Hosts view in the Solution Control Interface:

  • Click the Hosts icon on the Shortcuts bar or select the Hosts folder from the Items tree.

Three views provide different levels of information about Hosts:

List Pane | Displays the configuration and current status of all hosts on which Applications are installed.
Details Pane | Displays detailed information about configuration of the host currently selected in the List pane and about the Applications installed on the host. See also Host Details Pane.
Details Window | Displays detailed information about configuration and operation of the host, information about Applications installed on the host, and log records generated by the Applications installed on the host. This window also displays records of CPU and memory usage and information about currently running processes and services. See also Host Details Window.


Monitoring Hosts > Viewing Hosts

Host Details Pane

The Host Details pane displays detailed information about the host currently selected in the List pane.

Use the Host Details pane's Content menu to open the following entries for Hosts:

Application | Displays the following information about Applications installed on the host: name, type, connection port, redundancy mode, and current status.
General | Displays details about the host, such as its name, IP address, current status, operating system type, LCA port number, and SCS that controls this host.

You can access these commands from the Host Details pane:

Open | Opens the Host Details window for the selected host.
Configure Logs | Starts the Log Wizard, so that you can configure log options for the Applications installed on the currently selected host.

You can access these commands by pressing a control button next to an Application name that is displayed on this pane:

Start | Starts a selected Application.
Stop | Shuts down a selected Application.


Monitoring Hosts > Viewing Hosts

Host Details Window

The tabs in the Hosts Details window display all available information for the selected host. To open the Host Details window, do one of the following:

  • Click Open on the Host Details pane.

  • Right-click the Host name on the List pane. In the shortcut menu that appears, click Open.

  • Expand the Hosts folder in the Items tree. Right-click the Host name. In the shortcut menu that appears, click Open.

The Host Details window has the following tabs:

General

Displays detailed information about the host (such as, the host status, IP address, and operating system). Has a Content menu:

  • General—Displays the host's current configuration and status, including SCS that controls this host.

  • Applications—Displays information about name, type, connection port, redundancy mode, and current status of the Applications installed on the host.

All Log Records

Displays all log records that Applications installed on the host generate.

Alarm Log Records

Displays log records of the Alarm level that Applications running on the host generate or that SCS generates on behalf of these Applications.

Standard Log Records

Displays log records of the Standard level that Applications running on the host report.

Interaction Log Records

Displays log records of the Interaction level that Applications running on the host report.

Trace Log Records

Displays log records of the Trace level that the Applications running on the host report.

OS Information

Displays operating system (OS) information such as CPU use and currently running processes and services for a host running any Genesys-supported OS as long as the host status is Up.

Charts

Displays informational charts tracking CPU and memory usage for a host running any Genesys-supported OS as long as the host status is Up.


Monitoring Hosts > Viewing Hosts

Host Details Window OS Information Tab

The Operating System Information tab contains the following three sections:

Host

Displays information about CPU and memory usage in tabular format. Real-time information for each CPU is broken down as follows:

  • % User Time

  • % Kernel Time

  • % Non-Idle Time

The tab also displays basic real-time memory information, in kilobytes:

  • Used Virtual Memory

  • Total Virtual Memory

Processes

Displays all processes running on the host. For each process, the Processes tab displays the following:

  • Name

  • Path to the executable file (except for some Windows system processes)

  • PID (process identifier)

  • CPU Usage (in percentages)

  • Memory Usage (in bytes)

  • Priority (high or normal)

Services

Displays programs installed to run as Windows Services on the selected host. This tab only displays information about host computers running a Genesys-supported Windows operating system.

For each service, the Services tab indicates:

  • Name—the actual name of the program installed as a Windows Service.

  • Display Name—the service name of the program, as it appears in the Services window.

  • State—the current state of the service.

  • Win32 Exit Code—the error code reported for an error occurring during a service startup or shutdown.

  • Svc Exit Code—the service-specific error code reported for an error occurring during a service startup or shutdown.

  • Checkpoint—the operation progress indicator that the service uses during a lengthy operation.

  • WaitHint—the interval, in milliseconds, during which the current operational step should be completed.

See the documentation for your Microsoft Windows operating system for more information.


Monitoring Hosts > Viewing Hosts

Host Details Window Charts Tab

This tab displays graphical plots of:

  • Percent CPU usage history for each CPU on the selected host.

Usage for each CPU is plotted in a different color, so that you can easily compare usage rates for each.

  • Memory usage history in kilobytes.

Under normal operating conditions, the charts start gathering and plotting data as soon as you access the Charts tab.

To stop data collection and plotting, do either of the following:

  • Click File to open the File menu and select Stop capture data.

  • Click the Stop Capture Data button on the toolbar.

To resume data collection and plotting, do one of the following:

  • Click File to open the File menu and select Start capture data.

  • Click the Start Capture Data button on the toolbar.

  • Click Refresh.


Monitoring Hosts > Viewing Hosts

Host Details Window File Menu

You can access these commands from the File menu of the Host Details window:

Close | Closes the Host Details window.
Save Host Info... | Opens a Save As window where you can save host information from the General tab to an *.htm file. This command is only available for the General tab.
Print | Prints the configuration displayed on the General tab.
Print Setup | Sets paper and page parameters that control the arrangement of items on a printed page.
Log Wizard | Starts the Log Wizard, so that you can configure log options for Applications installed on the currently selected host.
Start Capture Data | Starts collection of data for display on the Charts tab. This command is only available for the Charts tab.
Stop Capture Data | Halts the collection of data for display on the Chart tab. This command is only available for the Charts tab.
Exit | Closes the SCI session and disconnects from the Log Database, SCS, and Configuration Server.


Monitoring Hosts > Viewing Hosts

Host Details Window Toolbar

You can access these commands from the toolbar—a set of control buttons at the top of the Host Details window:

Print | Prints the information displayed in the current section of the Host Details window.
Start Capture Data | Starts the collection of data for display on the Charts tab. This command button is only active for the Charts tab.
Stop Capture Data | Halts the collection of data for display on the Chart tab. This command button is only active for the Charts tab.
Log Wizard | Opens the Log Wizard.
Refresh Items | Updates the display.


Monitoring Hosts > Viewing Hosts

Host Shortcut Menu

To open this menu:

  1. From the Host view, select a Host from the List pane or the Items tree.

  2. Right-click.

The Host shortcut menu provides access to these commands:

Open | Opens a Details window for the selected host.
Log Wizard | Starts the Log Wizard, so that you can configure log options for the Applications that are installed on the currently selected host.
Deploy | Opens a submenu from which you can start a Deployment Wizard, so that you can install an Application of the specified type on the currently selected host. The command passes the Host information to the Wizard.


Monitoring Hosts

Viewing Host Log Records

To view the log records that all Applications installed on a particular Host have generated:

  1. From the Host view, select a Host from the List pane or the Items tree.

  2. Right-click to open the shortcut menu and select Open to display the Host Details window.

  3. In this window, select the tab that represents the log level you want.


Monitoring Hosts

Host Status

The Host Status field holds one of four values:

Up

Indicates that SCS has successfully connected to Local Control Agent (LCA) running on the given host and, therefore, can control and monitor all Applications located on this host.

Unavailable

Indicates that SCS cannot connect to LCA running on the given host or has lost a previously established connection because the host is not started or has failed.

Unreachable

Indicates that SCS cannot connect to LCA running on the given host or has lost a previously established connection because of a network connectivity problem between SCS and the host. Specifically, there is no route to the host.

Down

Indicates that SCS cannot connect to LCA running on the given host or has lost a previously established connection. A status of Down (also referred to as Host Inaccessible) indicates one of the following:

  • LCA has not started on the given host, has terminated, or has stopped responding.

  • LCA is not configured correctly in the Configuration Layer.

If you cannot identify a problem, use the Management Layer Troubleshooter for assistance.


Managing Solutions

Managing Solutions Overview

With Solution Control Interface, you can:

  • View Solutions.

  • Start Solutions.

  • Stop Solutions.

  • Check Solution Status.

  • View Solution Log Records.


Managing Solutions > Viewing Solutions

Viewing Solutions Overview

To see a summary of the current status for all Solutions:

  • Click the Summary icon from the View shortcuts bar.

To display the Solutions view, do one of the following:

  • Select Solutions from the View menu.

  • Click the Solutions icon on the Shortcuts bar.

  • Select the Solutions folder from the Items tree.

Three parts of the interface provide different levels of detail about Solutions:

List Pane | Lists all configured Solutions, including their type, version, and current runtime status.
Details Pane | Displays detailed information about the Solution components and their runtime status. See also Solution Details Pane.
Details Window | Displays detailed information about basic configuration and the runtime status of the Solution and its components. Also displays log records that the Solution components generate. See also Solution Details Window.


Managing Solutions > Viewing Solutions

Solution Details Pane

To see detailed information about the Solution components and their runtime status:

  • Select the item for which you want information from the Solution Details pane's Content menu.

The Content menu on this pane opens the following entries for Solutions:

Components | Displays the following information about Applications that are components of the Solution: name, type, host, connection port, redundancy mode, startup priority, and current status.
General | Displays details about the Solution, such as its type, version, and current status.

You can access these commands from this pane:

Open | Opens the Details window for the selected Solution.
Start | Starts the Solution or those Solution components not yet started.
Stop | Shuts down the Solution.
Configure Logs | Starts the Log Wizard, so that you can configure log options for all components of the currently selected Solution.

Note: You can start or stop a Solution of type Default Solution Type or Framework from SCI only if the Solution was created using the solution wizard.

You can access these commands by clicking a control button next to a component name that is displayed on this pane:

Start | Starts a selected component.
Stop | Shuts down a selected component.


Managing Solutions > Viewing Solutions

Solution Details Window

The Solution Details window displays all available information for the Solution you select. To open this window, do one of the following:

  • Click Open on the Solution Details pane.

  • Right-click the Solution name in the List pane. In the shortcut menu that appears, click Open.

  • Expand the Solutions folder in the Items tree. Right-click the Solution name. In the shortcut menu that appears, click Open.

The Solution Details window has these tabs:

General

Displays current configuration and status of the Solution and its components and has this Content menu:

  • General—Displays the Solution’s current configuration and status.

  • Components—Displays information about name, type, host, connection port, redundancy mode, startup priority, and current status of the Applications that are components of the Solution.

All Log Records

Displays all log records that the Solution components generate.

Alarm Log Records

Displays log records of the Alarm level that Solution components generate or SCS generates on behalf of these components.

Standard Log Records

Displays log records of the Standard level that Solution components report.

Interaction Log Records

Displays log records of the Interaction level that Solution components report.

Trace Log Records

Displays log records of the Trace level that Solution components report.


Managing Solutions > Viewing Solutions

Solution Details Window File Menu

You can access these commands from the File menu of the Solution Details window:

Close | Closes the Solution Details window.
Save Solution Info... | Opens a Save As window where you can save Solution information from the General tab to an *.htm file. This command is only available for the General tab.
Print | Prints the configuration displayed on the General tab.
Print Setup | Sets paper and page parameters that control the arrangement of items on a printed page.
Start Solution | Starts the Solution or those Solution components that are not yet started.
Stop Solution | Shuts down the Solution.
Log Wizard | Starts the Log Wizard, so that you can configure log options for all components of the currently selected Solution.
Exit | Closes the SCI session and disconnects from the Log Database, SCS, and Configuration Server.


Managing Solutions > Viewing Solutions

Solution Details Window Toolbar

You can access these commands from the toolbar—a set of control buttons at the top of the Solution Details window:

Print | Prints the configuration that is displayed on the General tab.
Start Solution/Application | Starts the Solution or those Solution components that are not yet started.
Stop Solution/Application | Shuts down the Solution.
Log Wizard | Starts the Log Wizard, so that you can configure log options for all components of the currently selected Solution.
Refresh Items | Updates the display.


Managing Solutions > Viewing Solutions

Solution Shortcut Menu

To open this menu:

  1. From the Solutions view, select one of the following:

    • A Solution from the Items Tree or the List pane.

    • A few Solutions from the List pane.

  2. Right-click.

The shortcut menu for a single Solution looks like this:

The shortcut menu for a set of Solutions you have selected looks like this:

Use the Solution shortcut menu to access these commands:

Open | Opens a Details window for the selected Solution.
Start | Starts the selected Solution or those Solution components that are not yet started.
Stop | Stops the selected Solution.
Start Selected Solutions | Starts the selected Solutions or those Solutions' components that are not yet started.
Stop Selected Solutions | Stops the selected Solutions or those Solutions' components that are not yet stopped.
Log Wizard | Starts the Log Wizard, so that you can configure log options for all components of the currently selected Solution(s).


Managing Solutions

Viewing Solution Log Records

To view all of the log records that components of a particular Solution have generated:

  1. From the Solutions view, select a Solution from the List pane.

  2. Right-click and select Open from the shortcut menu that appears. The Solution Details window opens.

  3. In this window, select the tab that represents the log level you want.


Managing Solutions

Starting Solutions

Note: You can start a Solution of type Default Solution Type or Framework from SCI only if the Solution was created using a solution wizard.

To start a Solution:

  1. From the Solutions view, select a Solution from the List pane.

  2. Click the Start button on the toolbar, or select Start either from the Action menu or from the Solution shortcut menu.

  3. Click Yes at the prompt.

SCI sends the command to start a Solution to Solution Control Server, which uses Local Control Agents to activate the Solution components in the order that is defined in the Solution configuration object.

Note: Complete Solution startup can take some time. The amount of time varies depending on the number and location of Solution components and the time required to initialize each component.

Solution Control Server checks the status of all the Solution's mandatory components that are configured to be controlled by the Management Layer.

Solution Control Interface reports the successful start of a Solution after all these components have reported the Started status within the configured timeout. When the Solution starts, its status changes from Stopped to Started.

Notes:

  • To start a Solution, you must have Execute permission for the Solution configuration object in the Configuration Layer.

  • Because a number of Solutions can share the same Applications, some Solution components may have Started status before you start the Solution.

  • In redundant configurations, both primary and backup Solution components start simultaneously and are assigned runtime redundancy modes according to their configuration.

Starting Multiple Solutions

To start all Solutions configured in the Configuration Database that are not yet started:

  1. Select Start All Solutions from the Action menu.

  2. Click Yes at the prompt.

To start a group of Solutions:

  1. From the Solutions view, select a few Solutions from the List pane.

  2. Right-click and select Start Selected Solutions from the Solutions shortcut menu.

  3. Click Yes at the prompt.

SCI sends the Startup command for each Solution to Solution Control Server. SCS starts Solutions in the order in which it read their configuration from Configuration Server and processes each Startup command as it would for a Solution that was started individually.


Managing Solutions

Stopping Solutions

Note: You can stop a Solution of type Default Solution Type or Framework from SCI only if the Solution was created using a solution wizard.

To stop a Solution:

  1. From the Solutions view, select a Solution from the List pane.

  2. Click the Stop button on the toolbar, or select Stop either from the Action menu or from the Solution shortcut menu.

  3. Click Yes at the prompt.

SCI sends the command to stop a Solution to Solution Control Server, which uses Local Control Agents to deactivate the Solution components in reverse order from component startup. (The component startup order is defined in the Solution configuration object.)

Notes:

  • To stop a Solution, you must have Execute permission for the Solution configuration object in the Configuration Layer.

  • Because a number of Solutions can share the same Applications, some Solution components may continue to have Started status after you stop the Solution.

  • In redundant configurations, both primary and backup Solution components stop simultaneously.

Stopping Multiple Solutions

To stop a group of Solutions:

  1. From the Solutions view, select a few Solutions from the List pane.

  2. Right-click and select Stop Selected Solutions from the Solutions shortcut menu.

  3. Click Yes at the prompt.

SCI sends the Stop command for each Solution to Solution Control Server. SCS processes each Stop command as it would for a Solution that was stopped individually.


Managing Solutions

Solution Status

The possible Solution statuses are:

Stopped

Indicates that one or more of the Solution’s mandatory components do not have Started status and, therefore, the Solution cannot perform its function. Stopped status can indicate that a Solution either has not been activated or has failed because one of its mandatory components is unavailable.

Started

Indicates that a Solution is ready to perform its major function; that is, all mandatory Solution components have reported Started status.

This status does not necessarily mean that the Solution is actually performing its function. To start working, some Solutions might require additional Solution-specific control operations through their user interfaces. See the Solution-specific documentation.

Unknown

Indicates that Management Layer cannot provide reliable information about the Solution status. Does not necessarily mean that the Solution is unable to perform its function.


Managing Applications

Managing Applications Overview

With Solution Control Interface, you can:

  • View Applications.

  • Start Applications.

  • Stop Applications.

  • Switch to a backup Application.

  • Use Deployment Wizards to remotely deploy Applications of certain types.


Managing Applications > Viewing Applications

Viewing Applications Overview

To display the Applications view, do one of the following:

  • Select Applications from the View menu.

  • Click the Applications icon on the Shortcuts bar.

  • Select the Applications folder from the Items tree view.

Three views provide different levels of detail about Applications:

List Pane | Lists of all Applications registered in the Configuration Database. Lists the Application name, type, version, host, real-time status, and redundancy mode.
Details Pane | Displays detailed information about the configuration of the Application currently selected on the List Pane. See also Application Details Pane.
Details Window | Displays detailed information about the configuration of the Application and the log records and the real-time log that the Application has generated. See also Application Details Window.


Managing Applications > Viewing Applications

Application Details Pane

The Application Details pane displays configuration information about the currently selected Application in the List pane. Use the Content menu on this pane to open the following entries for Applications:

General | Displays the Application's basic configuration and the current status.
Start Info | Displays the Application's current startup configuration.
Options | Displays configuration sections that are specified for this Application including configuration options in each section and option values.
Servers | Displays all Applications that this Application is configured to connect to as a client.
Clients | Displays all Applications configured to connect to this Application.
Alarm Conditions | Displays all Alarm Conditions configured for this Application both directly (that is, configured for this particular Application) or indirectly (that is, configured both for all Applications of this type and for all Applications in the environment).

You can access the following commands from the Application Details pane:

Open | Opens the Details window for the selected Application.
Start | Starts the selected Application.
Stop | Shuts down the selected Application.
Configure Logs | Starts the Log Wizard, so that you can configure log options for the selected Application.


Managing Applications > Viewing Applications

Application Details Window

The Application Details window displays all available information for the selected Application. To open this window, do one of the following:

  • Click Open on the Application Details pane.

  • Right-click the Application name in the List pane. In the shortcut menu that appears, click Open.

  • Expand the Applications folder in the Items tree. Right-click the Application name. In the shortcut menu that appears, click Open.

The Application Details window has the following tabs:

General

Displays the configuration and the current status of the Application and has the following Content menu:

  • General—Displays the Application's basic configuration and current status.

  • Start Info—Displays the Application's current startup configuration. You can modify the Application's startup parameters and redundancy type here by entering or selecting new values and clicking the Update button.

  • Options—Displays configuration sections that are specified for this Application, including configuration options in each section and option values.

  • Servers—Displays all Applications that this Application is configured to connect to as a client.

  • Clients—Displays all Applications that are configured to connect to this Application.

  • Alarm Conditions—Displays all Alarm Conditions that are configured for this Application both directly (that is, configured for this particular Application) or indirectly (that is, configured both for all Applications of this type and for all Applications in the environment).

All Log Records

Displays all log records that this Application generates.

Alarm Log Records

Displays log records of the Alarm level that this Application reports or that SCS generates on behalf of this Application.

Standard Log Records

Displays log records of the Standard level that this Application reports.

Interaction Log Records

Displays log records of the Interaction level that this Application reports.

Trace Log Records

Displays log records of the Trace level that this Application reports.

Real-Time Log

When activated, displays all log output that this Application generates. Message Server sends the Application's logs directly to SCI, thus eliminating log storage and retrieval delays.

You can only activate the Real-Time Log if the selected Application:

  • Has started.

  • Is configured for the network type of log output.

  • Has a configured connection to Message Server, and the status of this Message Server is Started.


Managing Applications > Viewing Applications

Application Details Window Menu

This window's main menu holds File, Edit, and Log menus, which give you access to the commands described below.

File Menu

You can access these commands from the File menu:

Close | Closes the Application Details window.
Save Application Info... | Opens a Save As dialog box where you can save Application information from the General tab to an *.htm file. This command is only available for the General tab.
Save As | Saves items from a log-viewing tab into a file.
Print | Prints the configuration displayed on the General tab or log output entries displayed on the Real-Time Log tab. Not active for other tabs.
Print Setup | Sets paper and page parameters that control the arrangement of items on a printed page.
Start Application | Starts the Application.
Stop Application | Shuts down the Application.
Log Wizard | Starts the Log Wizard, so that you can configure log options for the selected Application.
Exit | Closes the SCI session and disconnects from the Log Database, SCS, and Configuration Server.

Edit Menu

You can apply the following commands to the entries that are displayed on the Real-Time Log tab:

Copy | Copies the selected symbols to a clipboard.
Delete | Removes the selected log entries from the Real-Time Log tab.
Select All | Selects all entries.
Find | Displays the Find menu.
Find Next | Searches for the next instance of the symbols that were last specified in the Find menu.
Find Previous | Searches for the previous instance of the symbols that were last specified in the Find menu.
Toggle Bookmark | Sets or removes a bookmark next to the line with the cursor.
Next Bookmark | Searches for the next currently set bookmark.
Previous Bookmark | Searches for the previous currently set bookmark.
Clear All Bookmarks | Removes all currently set bookmarks.

Log Menu

You can access these commands from the Log menu:

Start Real-Time Log | Sends all log output that the Application generates to SCI, so you can view the log on the Real-Time Log tab.
Stop Real-Time Log | Stops sending all log output that the Application generates to SCI. You can still view the log that has already been sent on the Real-Time Log tab.


Managing Applications > Viewing Applications

Application Details Window Toolbar

You can access these commands from the toolbar of the Application Details window:

Save | Saves the displayed information into a file in the XML (Extensible Markup Language) format.
Print | Prints the configuration displayed on the General tab.
Copy | Copies the selected symbols to a clipboard.
Delete Selection | Removes the selected log entries from the Real-Time Log tab.
Start Solution/Application | Starts a selected Application or Solution.
Stop Solution/Application | Shuts down a selected Application or Solution.
Refresh Items | Updates the log view with the latest log content.
Alarm Condition Wizard | Starts the Alarm Condition Wizard, so that you can edit the currently selected Alarm Condition or configure an Alarm Condition for the currently selected log record.
Log Wizard | Starts the Log Wizard, so that you can configure log options for the Application.
The following command buttons are active only when you select the Real-Time Log tab:
Find | Displays the Find menu for the Real-Time Log tab.
Repeat | Searches for the next instance of the symbols that you last specified in the Find menu.
Find Previous | Searches for the previous instance of the symbols that you last specified in the Find menu.
Toggle Bookmark | Sets or removes a bookmark next to the line with the cursor on the Real-Time Log tab.
Go To Next Bookmark | Searches for the next currently set bookmark on the Real-Time Log tab.
Go To Previous Bookmark | Searches for the previous currently set bookmark on the Real-Time Log tab.
Clear All Bookmarks | Removes all currently set bookmarks.
Start Real-Time Log | Sends to SCI all log output that the Application generates, so you can view the log on the Real-Time Log tab.
Stop Real-Time Log | Stops sending to SCI all log output that the Application generates. You can still view the log that the Application has already sent.


Managing Applications > Viewing Applications

Application Shortcut Menu

To open the Application shortcut menu:

  1. From the Applications view, select an Application from either the List pane or Items tree.

  2. Right-click.

The Application shortcut menu provides access to these commands:

Open | Opens a Details window for the selected Application.
Start | Starts the selected Application. Only available if the Application has the Stopped status.
Stop | Stops the selected Application. Only available if the Application has the Started or Pending status.
Switchover | Switches the selected Application to Primary mode. Only available if the current Application status is Started and the current Application mode is Backup.
Log Wizard | Starts the Log Wizard, so that you can configure log options for the selected Application.


Managing Applications

Viewing Application Log Records

To view log records that a particular Application generates:

  1. From the Applications view, select an Application from the List pane.

  2. Select an Application in the List pane.

  3. Right-click to open the shortcut menu and select Open from the shortcut menu that appears. The Application Details window opens.

  4. In this window, select the tab that represents the log level you want.


Managing Applications

Starting Applications

To start an Application:

  1. From the Applications view, select an Application from the List pane.

  2. Click the Start button on the toolbar, or select Start from the Action menu or from the Application shortcut menu.

  3. Click Yes at the prompt.

SCI sends the Application Startup command to SCS, which uses LCA to activate the Application remotely.

Application startup take some time, depending on:

  • The amount of configuration data that the Application must read from the Configuration Layer.

  • The time that is required to check data integrity and completeness.

  • The number of network connections that the Application must set up with other system resources.

During the time it takes to initialize an Application, its status changes from Stopped to Pending. When the Application starts, its status changes from Pending to Started.

In some scenarios, an Application may depend on internal and/or external components to perform their functions. In these cases, the Application status may change as follows:

  1. From Stopped to Pending to Initializing and, possibly, to Service Unavailable.

  2. From either Initializing or Service Unavailable to Started only after all the internal and external components are ready.

Solution Control Interface reports a successful Application startup only if the Application has reported either Started or Service Unavailable status within the configured timeout period.

Warning! Application startup through SCI does not necessarily mean that the Application immediately starts performing its function. Applications are components of higher-level structures called Solutions, and most of them function normally only as part of the Solutions to which they belong. Genesys recommends that you activate single Applications only for maintenance purposes or during online upgrades. In normal production mode, always start a complete Solution.

Notes:

  • You can start an Application only if its current status is Stopped.

  • You can start an Application only if you have Execute permission for the Application configuration object in the Configuration Layer.

  • If you install an Application as a Windows Service, the Management Layer starts it as a Windows Service.

  • You cannot start or stop an Application of the Database Access Point type.


Managing Applications

Stopping Applications

To stop an Application:

  1. From the Applications view, select an Application from the List pane.

  2. Click the Stop button on the toolbar, or select Stop either from the Action menu or from the Application shortcut menu.

  3. Click Yes at the prompt.

SCI sends the Stop Application command to SCS, which uses LCA to terminate the Application remotely.

Warning! Stopping an Application can cause the failure of some or all of the running Solutions to which the Application belongs.

Notes:

You can stop an Application only if:

  • Its current status is Started, Service Unavailable, or Pending.

  • You have Execute permission for the Application configuration object in the Configuration Layer.


Applications Status

Managing Applications

Application Status

The possible Application statuses are:

Stopped

Indicates that an Application is installed and configured in the system, but it has not started. That is, the Application either has not been activated or has failed.

Pending

Indicates one of the following:

  • The Application is being activated. SCS has executed the Startup command, but the Application has not yet connected to the LCA on its host. This status only exists for the interval between the command to start the Application and the LCA report that the Application is being connected.

  • The Application is being shut down. The Application has accepted the Stop command from SCS, but it has not yet disconnected from the LCA on its host. This status only exists for the interval between the instruction to stop the Application and its actual termination. Typically, the Pending stage involves some Application-specific wrap-up functions, closing of all open connections, termination, and detection of the termination by LCA.

Initializing

An Application performs the initialization steps, which involve:

  • Starting the Application.

  • Reading configuration data from the Configuration Layer.

  • Checking this data for integrity and completeness.

  • Establishing connections with all the resources according to the given configuration data.

At this stage, the Application is connected to the LCA running on its host, but it is not ready to provide the service (for example, to accept client connections).

Service Unavailable

For some internal reason, although an Application is running, it cannot provide the service.

Started

Assigned from the moment an Application is completely initialized. That is, when the Application:

  • Has read and checked its configuration.

  • Established connections with all the required resources.

  • Is ready to provide its service.

  • Is connected to the LCA running on its host.

This status does not necessarily mean that the Application is performing its function. To start working, some Applications may require additional Solution-specific control operations through their user interfaces. See the Solution-specific documentation.

Unknown

Indicates that the Management Layer cannot provide reliable information about the current Application status. In other words, SCS is not connected to the LCA on the host where the Application is configured to run. Does not necessarily mean that the Application cannot perform its function.


Managing Applications

Redundancy Modes

There are two redundancy modes:

  • Primary

  • Backup

Primary

For Applications that have Started status, Primary mode indicates that the Application is running in its normal production mode. That is, the Application is performing or is ready to perform its function.

Backup

For Applications that have Started status, Backup mode indicates that the Application is not active but is ready to take over the operations of the primary Application.

For more information about redundant configurations, see the Framework 7.6 Deployment Guide.


Managing Applications

Manual Switchover

The Framework Management Layer provides automatic detection, isolation, and correction of Application failures.

  • For nonredundant configurations, Management Layer provides an automatic restart procedure.

  • For redundant configurations, Management Layer provides switchover to the backup Application and automatically restarts a failed Application.

Warning! With the exception of a manual switchover, you must have an appropriate license for the Management Layer to provide switchover. See the Genesys 7 Licensing Guide for more information.

Both nonredundant and redundant fault-correction procedures are automated. For more information about these procedures, see the Framework 7.6 Deployment Guide.

Occasionally, you may want to manually switch over to the backup Application in a redundant configuration under normal operating conditions. You might use a manual switchover, for example, for test purposes, Application upgrades, or during some hardware maintenance procedures.

You can manually switch over only those Applications that are running in Backup mode. During the switchover, Management Layer changes the mode of the selected Application to Primary and changes the mode of the primary Application to Backup.

Warning! A switchover may degrade service for interactions that Solutions are processing at the time of the switchover.

To perform a manual switchover (for which you do not need a license):

  1. Go to the Applications view.

  2. Select an Application from the List pane to which you want to switch the operations. This Application must have Started status and be in Backup mode.

  3. Select Switchover from the Application shortcut menu.

Notes:

  • You cannot manually switch over Applications of the following types: Configuration Server, DB Server, Database Access Point, and Solution Control Server.

  • To perform a manual switchover to a particular Application, you must have Execute permission for that Application.


Managing Alarms Overview

Managing Active Alarms

Managing Active Alarms Overview

Using the Solution Control Interface, you can manage alarms by:

  • Viewing Active Alarms

  • Clearing Active Alarms

Note: Starting with 7.5, an active alarm is visible only if you have access to the application which generated the alarm.


Managing Active Alarms

Viewing Active Alarms

To display the Active Alarms view, do one of the following:

  • Select Active Alarms from the View menu.

  • Click the Active Alarms icon on the View shortcuts bar.

  • Select the Active Alarms folder from the Items tree view.

Note: Starting with release 7.5, an active alarm is visible only if you have access to the application that generated it.

List Pane

The List pane of the Active Alarms view lists all active alarms that Applications generate. It shows:

  • The ID number and text of the alarm.

  • The name of the Application that generated the alarm and the text of the Application's original log event that triggered the alarm.

  • The alarm's generation and expiration time.

Details Pane

The Details pane of the Active Alarms view displays detailed information about the alarm currently selected in the List pane.

  • Log events associated with the alarm.

  • Alarm reactions configured for the alarm.

Use the Content menu of this pane to open the following entries for Active Alarms:

General | Displays general information about the alarm, including the name, severity category, and description of the alarm as well as the name of the Application that generated the alarm. Also displays the text of the log event that triggered this alarm.
Detect Event | Displays the following configuration parameters of the corresponding Alarm Condition: ID number of the log event that triggers this alarm and the name or type of the Application that generates this event.
Cancel Event | Displays the following configuration parameters of the corresponding Alarm Condition: ID number of the log event that causes removal of the alarm and the name or type of the Application that generates this event.
Detect Script | Displays the name of the Detect Script associated with the corresponding Alarm Condition. This entry is only visible for alarms that are triggered with detection scripts.
Reaction Scripts | Displays reactions for this alarm as configured in the Alarm Condition object in the Configuration Database.
Affected Solutions | Displays the list of Solutions that are affected by the alarm, including their current status.
Clearance Scripts | Displays reactions to be executed at this alarm clearance, as configured in the Alarm Condition object in the Configuration Database.

You can access these commands from this pane:

Clear | Clears the currently selected Active Alarm from the system.
Configure Alarm Condition | Starts the wizard to modify the configuration of the Alarm Condition that has triggered the selected Active Alarm.


Managing Active Alarms

Active Alarm Shortcut Menu

To open the Active Alarm shortcut menu:

  1. Go to the Active Alarms view.

  2. Select an alarm in the Items Tree or in the List pane.

  3. Right-click.

The Active Alarm shortcut menu provides access to these commands:

Clear Alarm | Clears the currently selected Active Alarm.
Clear All Alarms | Clears all Active Alarms.
Alarm Condition Wizard | Starts the wizard to modify the configuration of the Alarm Condition that has triggered the selected Active Alarm.


Managing Active Alarms

Clearing Active Alarms

To clear an alarm within SCI:

  1. Go to the Active Alarms view.

  2. Select the alarm in the List pane.

  3. Select Clear Alarm from the Active Alarm's shortcut menu.

To clear all active alarms:

  1. Go to the Active Alarms view.

  2. Select Clear All Alarms from either the Action menu or the Active Alarm's shortcut menu.


Managing Active Alarms

Troubleshooting Alarms Viewing

If an event that is configured to generate an alarm does not result in an alarm, make sure that:

  • The corresponding Alarm Condition is configured correctly.

  • The corresponding log event was generated. To verify this, check whether the log event appears in a local text file.

  • The Application that generates the event is configured to send its log to a network Message Server.

  • The network log output of the given Application is set to Interaction or Trace if the event is reported at either Interaction or Trace log-output level.

  • Message Server is receiving log events that the given Application generated. Check the Message Server log.

  • Solution Control Server is connected to Message Server.

  • Solution Control Server receives alarm messages from Message Server. Check the Solution Control Server log.

  • Solution Control Interface is properly connected to Solution Control Server.

See also Management Layer Troubleshooter.


Managing Alarm Conditions

Managing Alarm Conditions Overview

Alarm Conditions are configuration objects that are set up to trigger alarms in reaction to specified conditions that the system detects.

Two types of alarm-triggering conditions are:

  • Log events of a certain ID number and/or from a certain Application.

  • Certain changes in system variables.

To account for these two types of alarm triggers, Alarm Conditions can be based on:

  • Log Events.

  • Alarm Detection Scripts.

Solution Control Interface allows you to manage the Alarm Conditions in the following ways:

  • Viewing configured Alarm Conditions

  • Configuring new Alarm Conditions

  • Testing Alarm Conditions

  • Deleting Alarm Conditions


Managing Alarm Conditions

Viewing Alarm Conditions

To display the Alarm Conditions view, do one of the following:

  • Select Alarm Conditions from the View menu.

  • Click the Alarm Conditions icon on the Shortcuts bar.

  • Open the Alarm Conditions folder from the Items tree view.

List Pane

The List pane of the Alarm Conditions view lists all Alarm Conditions that are configured in the Configuration Database.

Details Pane

The Details pane of the Alarm Conditions view displays detailed information about the Alarm Condition currently selected in the List pane.

Use the Content menu of this pane to open the following entries for Alarm Conditions:

General | Displays the current configuration of the selected Alarm Condition, including severity category and description.
Detect Event | Displays the following configuration parameters of the Alarm Condition: ID of the log event that triggers the alarm and the name or type of the Application generating this event. This entry is only visible for Alarm Conditions based on log events.
Cancel Event | Displays the following configuration parameters of the Alarm Condition: ID of the log event that causes removal of the alarm and the name or type of the Application generating this event. This entry is only visible for Alarm Conditions based on log events.
Detect Script | Displays the name of the Detect Script for the Alarm Condition. This entry is only visible for Alarm Conditions based on detection scripts.
Reaction Scripts | Displays a list of Alarm Reaction scripts that are set up for this Alarm Condition to be executed on alarm detection.
Clearance Scripts | Displays a list of Alarm Reaction scripts that are set up for this Alarm Condition to be executed on alarm clearance.

You can access these commands from the Details pane:

Delete | Deletes the currently selected Alarm Condition from the system.
Configure Alarm Condition | Starts the wizard to modify the configuration of the currently selected Alarm Condition.


Managing Alarm Conditions

Alarm Condition Shortcut Menu

To open the Alarm Condition shortcut menu:

  1. Go to the Alarm Conditions view.

  2. Select one of the following:

    • An Alarm Condition in the Items Tree or in the List pane.

    • A few Alarm Conditions in the List pane.

  3. Right-click to open the shortcut menu.

The shortcut menu for a single Alarm Condition looks like this:

The shortcut menu for a set of Alarm Conditions you have selected looks like this:

Use the Alarm Condition shortcut menu (see the graphics above) to access these commands:

Delete | Deletes the currently selected Alarm Condition.
Test | Simulates the alarm this Alarm Condition is configured to cause.
Alarm Condition Wizard | Starts the wizard to edit the currently selected Alarm Condition.
Assign Alarm Reactions | Starts the wizard to associate the currently selected Alarm Conditions with an existing Alarm Reaction Script.


Managing Alarm Conditions > Configuring Alarm Conditions

Configuring Alarm Conditions Overview

The Configuration Layer provides predefined Alarm Conditions for events that are known to cause major problems in any environment.

You can mask predefined Alarm Conditions or modify their configurations.

Before configuring a new Alarm Condition, make sure it is not already predefined in the Configuration Layer.

You can configure new Alarm Conditions based on the source of their detection:

  • Log Events—these Alarm Conditions trigger an alarm when a certain condition is met or when any application generates a specified log event.

  • Alarm Detection Scripts—these Alarm Conditions trigger an alarm when a certain system variable changes in a specified manner.


Managing Alarm Conditions > Configuring Alarm Conditions

Using Log Events for Alarm Detection

You can use any log event to trigger an alarm.

To create a new Alarm Condition based on a log event:

  1. If the toolbar is not displayed, select Toolbar from the View menu.

  2. Select the Run a Wizard button on the toolbar, which opens the Select Wizard window.

  3. Expand the Configuration folder and select Alarm Condition Wizard.

  4. Click OK.

  5. On the Welcome screen, click Next.

  6. On the Alarm Detection Method screen, select Log Event Detection Mode and click Next.

  7. Follow the wizard instructions.

Note: To create an Alarm Condition for a specific application, select A specific application in the Alarm Source screen of the Wizard.

To create a new Alarm Condition based on the Log Event ID of an existing log record:

  1. Go to the Centralized Log view.

  2. In the List pane, select the log record with the Log Event ID that should be used as a Detect Log Event ID for an alarm. Right-click to display a shortcut menu.

  3. Select Alarm Condition Wizard. This starts the wizard to create a new Alarm Condition with the same Detect Log Event ID as the selected log record.

  4. Follow the wizard instructions.

Note: To create an Alarm Condition for a specific application, select A specific application in the Alarm Source screen of the Wizard.


Managing Alarm Conditions > Configuring Alarm Conditions

Using Detection Scripts for Alarm Detection

You can set the Management Layer to monitor certain system variables and generate alarms when the values exceed their thresholds.

To create a new Alarm Condition based on an Alarm Detection script:

  1. Create the Alarm Detection script that specifies how the Management Layer detects an alarm.

  2. Create a new Alarm Condition based on this script:

  1. If the toolbar is not displayed, select Toolbar from the View menu.

  2. Select the Run a Wizard button on the toolbar, which opens the Select Wizard dialog box.

  3. Expand the Configuration folder and select the Alarm Condition Wizard.

  4. Click OK.

  5. When prompted, select Advanced Detection Mode as the Alarm Detection Method.

  6. Follow the wizard instructions.


Managing Alarm Conditions > Configuring Alarm Conditions

Modifying Existing Alarm Conditions

To modify an existing Alarm Condition:

  1. Select the Alarm Conditions view.

  2. Select an Alarm Condition from the List pane. Right-click to display a shortcut menu.

  3. Select Alarm Condition Wizard to modify the selected Alarm Condition.

  4. Follow the wizard instructions.


Managing Alarm Conditions > Configuring Alarm Conditions

Associating Alarm Conditions with Alarm Reactions

You can assign an Alarm Reaction Script to an Alarm Condition to notify the Management Layer of the required action when an alarm occurs and/or is cleared. (See also Configuring Alarm Reaction Scripts.)

To associate an Alarm Condition with a new or an existing Alarm Reaction Script, do one of the following:

  • Launch the Alarm Reaction Wizard from the Alarm Condition Wizard while you configure the Alarm Condition.

  • Use Configuration Manager to associate an Alarm Condition with an existing Alarm Reaction Script.

Assigning an Alarm Reaction to Multiple Alarm Conditions

To associate a group of Alarm Conditions with the same Alarm Reaction Script:

  1. Go to the Alarm Conditions view.

  2. Select a few Alarm Conditions in the List pane.

  3. Select Assign Alarm Reactions from the Alarm Conditions shortcut menu.

  4. Follow the wizard instructions.


Managing Alarm Conditions

Testing Alarm Conditions

To verify the configuration of an Alarm Condition:

  1. Go to the Alarm Conditions view.

  2. Select an Alarm Condition in the List pane.

  3. Right-click to open the shortcut menu and select Test.

  4. Highlight an Application for which a test Alarm should be generated. Click Select.

  5. Click Yes to confirm that the specified Alarm Condition should be tested for the specified Application.

  6. Go to the Active Alarms view and check that the Alarm for this Alarm Condition has been generated.


Managing Alarm Conditions

Deleting Alarm Conditions

To delete an Alarm Condition:

  1. Go to the Alarm Conditions view.

  2. Select an Alarm Condition in the List pane.

  3. Select Delete from the Alarm Conditions shortcut menu or from the Details pane.


Managing Alarm Conditions

Predefined Alarm Conditions

Configuration Layer provides these predefined Alarm Conditions:

Application Failure | Reports that the specified Application has either terminated or stopped responding.
Connection Failure | Reports that the specified connection between any two Applications has been lost.
CTI Link Failure | Reports that the connection between the specified T-Server and its switch has been lost.
Host Inaccessible | Reports that the Management Layer cannot contact the Local Control Agent on the host where Genesys daemon applications are running. LCA is not started or it is listening on the port different from the one specified in the configuration. A condition of Host Inaccessible is also referred to as being Down.
Licensing Error | Reports that a licensing error has occurred.
Service Unavailable | Reports that a Genesys component cannot provide service for some internal reasons.
Host Unavailable | Reports that a Host where Genesys daemon applications are running is unavailable (turned off).
Host Unreachable | Reports that the Management Layer cannot reach the Host where Genesys daemon applications are running (no route to the Host).
Unplanned Solution Status Change | Reports that a Solution status has changed from Started to Pending without any requests to stop the Solution. This may indicate a failure of one of the Solution components.
Message Server Loss of Database Connection | Reports that Message Server has lost connection to the Centralized Log Database.

For more information about predefined Alarm Conditions, see the Framework 7.6 Management Layer User's Guide.


Managing Alarm Conditions

Masking Alarm Conditions

Some maintenance activities lead to predictable events that are configured to trigger alarms.

Use an alarm-masking mechanism—that is, temporarily suppress the alarm signaling—to avoid disturbing staff with unnecessary notifications.

The alarm-masking mechanism disables an Alarm Condition. As a result, Solution Control Server does not generate alarms that this Alarm Condition would normally trigger and does not execute alarm reactions that have been configured for this Alarm Condition.

To mask an Alarm Condition:

  1. In the Configuration Manager main window, select the Alarm Conditions folder under Environment.

  2. Select the Alarm Condition, which is configured to trigger a particular alarm, and open its Properties dialog box.

  3. On the General tab, clear the State Enabled check box.

  4. Click OK to apply the configuration change.

To unmask a previously masked Alarm Condition:

  1. In the Configuration Manager main window, select the Alarm Conditions folder under Environment.

  2. Select a particular Alarm Condition and open its Properties dialog box.

  3. On the General tab, select the State Enabled check box.

  4. Click OK to apply the configuration change.


Managing Scripts

Managing Scripts Overview

Scripts are configuration objects that identify processing scenarios or treatments that can be applied to customer interactions.

SCI only displays Scripts that are relevant to the Management Layer functionality:

  • Alarm Detection Scripts—these Scripts identify what system variables the Management Layer must monitor.

  • Alarm Reaction Scripts—these Scripts identify what the Management Layer must do when alarms occur in, or are removed from, the system.

Using Solution Control Interface, you can manage the Scripts by:

  • Viewing configured Scripts

  • Configuring new Scripts

  • Deleting Scripts


Managing Scripts

Viewing Scripts

To display the Scripts view, do one of the following:

  • Select Scripts from the View menu.

  • Click the Scripts icon on the Shortcuts bar.

  • Open the Scripts folder from the Items tree view.

List Pane

The List pane of the Scripts view lists all Scripts of the Alarm Detection and Alarm Reaction types that are configured in the Configuration Database.

The List pane shows:

  • Script name.

  • Whether the Script is intended for alarm detection or alarm reaction.

  • What type of system variable for which the Script is configured (for Alarm Detection Scripts) or what kind of action the Script prompts (for Alarm Reaction Scripts).

Details Pane

The Details pane of the Scripts view displays detailed information about the Script that is currently selected in the List pane.

Use the Content menu on this pane to open the following entries for Scripts:

General

Displays the current configuration of the selected Script, including type and state.

Properties

Displays the Script's configuration parameters:

  • For Alarm Detection Scripts—alarm detection method, the monitored variable, and the source of this variable (for example, the Application or Host); the configured thresholds and evaluation interval for the monitored variable.

  • For Alarm Reaction Scripts—type of the Alarm Reaction Script and any specific parameters applicable to Alarm Reactions of this type.

You can access these commands from the Alarm Detection Script Details pane:

Configure Detection Script | Starts the wizard to modify the configuration of the currently selected Alarm Detection Script.
Delete Detection Script | Deletes the currently selected Alarm Detection Script from the system.

You can access these commands from the Alarm Reaction Script Details pane:

Configure Reaction Script | Starts the wizard to modify the configuration of the currently selected Alarm Reaction Script.
Delete Reaction Script | Deletes the currently selected Alarm Reaction Script from the system.


Managing Scripts

Script Shortcut Menu

To open the Script shortcut menu:

  1. Go to the Scripts view.

  2. Select a Script in the Items Tree or in the List pane.

  3. Right-click.

From the shortcut menu for an Alarm Detection Script:

you can access these commands:

Alarm Detection Wizard | Starts the wizard to edit the currently selected Alarm Detection Script.
Delete Alarm Detection Script | Deletes the currently selected Alarm Detection Script.

From the shortcut menu for an Alarm Reaction Script:

you can access these commands:

Alarm Reaction Wizard | Starts the wizard to edit the currently selected Alarm Reaction Script.
Delete Alarm Reaction Script | Deletes the currently selected Alarm Reaction Script.


Managing Scripts > Configuring Scripts

Configuring Scripts Overview

You can configure new Scripts based on their purposes:

  • Alarm Detection Scripts—create and associate these Scripts with Alarm Conditions to trigger an alarm when a certain system variable changes in a specified manner.

  • Alarm Reaction Scripts—create and associate these Scripts with Alarm Conditions to trigger a particular action upon detection and/or clearance of a specified alarm.


Managing Scripts > Configuring Scripts > Alarm Detection scripts

Alarm Detection Scripts Overview

Alarm Detection Scripts identify what system variables the Management Layer must monitor.

The system variables that the Management Layer can monitor (also called advanced alarm detection parameters) include:

  • Host System Variable Threshold, with which you specify the value for an irregular change that might occur over a certain interval in either CPU or memory use on a given host.

  • Application System Variable Threshold, with which you specify the value for an irregular change that might occur over a certain interval in either an Application's CPU or memory use.

  • Local SNMP Variable Threshold, with which you specify the value for an irregular change that might occur over a certain interval in any SNMP variable retrieved from the Genesys MIB file.

  • Remote SNMP Variable Threshold, with which you specify the value for an irregular change that might occur over a certain interval in any SNMP variable retrieved from a non-Genesys MIB file.

Warning! The SNMP-related alarm detection capabilities require that you have a Genesys SNMP license for SCS.

Note: The Rising Threshold, which triggers an alarm when crossed only if the value is rising, must be a higher number than the Falling Threshold, which clears the alarm when crossed only if the value is falling. For example, if the Rising Threshold is 300, then the Falling Threshold must be less than 300.


Managing Scripts > Configuring Scripts > Alarm Detection scripts

Configuring Alarm Detection Scripts

To create an Alarm Detection Script:

  1. If the toolbar is not displayed, select Toolbar from the View menu.

  2. Select the Run a Wizard button on the toolbar. This opens the Select Wizard dialog box.

  3. Expand the Configuration folder and select the Alarm Detection Wizard.

  4. Click OK.

  5. Follow the wizard instructions.

To associate an Alarm Detection Script with an Alarm Condition, see Using Detection Scripts for Alarm Detection.


Managing Scripts > Configuring Scripts > Alarm Detection scripts

SNMP Variables (OIDs)

Using the Alarm Detection Wizard to configure alarm detection scripts requires knowledge of the SNMP Variables (OIDs).

If you have an MIB Browser application, you can open the Genesys MIB file and learn the value of SNMP Variables (OIDs). You can also read the variable declarations inside the Perl source file Gsnmpalib_utils_70.pm, which comes with the SCS installation.

SCS 7.6 supports these SNMP Variables (OIDs)

OID | SNMP Variable
1.3.6.1.4.1.1729.100.1.4.1.1 | gsClientsExistNum
1.3.6.1.4.1.1729.100.2.1.1.1.1 | tsCallsExistNum


Managing Scripts > configuring scripts > alarm reaction scripts

Alarm Reaction Scripts Overview

Alarm Reaction Scripts identify what the Management Layer must do when alarms occur in, or are cleared from, the system.

Management Layer supports these types of Alarm Reaction Scripts:

  • Shutdown of a specified Application.

  • Startup of a specified Application.

  • Restart of the Application that reported the alarm.

  • Startup of a specified Solution.

  • Sending of an e-mail message with information about the alarm to specified Internet addresses. You can customize the e-mail with specific details about the alarm.

  • Switchover of operations from the Application that reported the alarm to its backup Application, for Applications running in primary or backup mode or regardless of the mode.

  • Sending of an SNMP trap with detailed information about the alarm to a general-purpose network management system.

  • Execution of an OS command.

Note: For a description of OS commands that you can specify in an Alarm Reaction Script, refer to the Framework 7.6 Management Layer User's Guide.

  • Change to a configuration option value of the specified Application or the Application that reported the alarm.

Warning! You can only use Alarm Reaction scripts created with the Genesys Alarm Reaction Wizard as Alarm Reactions.


Managing Scripts > configuring scripts > alarm reaction scripts

Configuring Alarm Reaction Scripts

Warning! You can only use Alarm Reaction scripts created with the Genesys Alarm Reaction Wizard as Alarm Reactions.

To create a new Alarm Reaction Script:

  1. If the toolbar is not displayed, select Toolbar from the View menu.

  2. Select the Run a Wizard button on the toolbar. This opens the Select Wizard dialog box.

  3. Expand the Configuration folder and select the Alarm Reaction Wizard.

  4. Click OK.

  5. Follow the wizard instructions.

If you are creating an Alarm Reaction e-mail, you can customize the Subject line and body of the e-mail with specific information about the alarm.

To assign an Alarm Reaction Script to an Alarm Condition, see Associating Alarm Conditions with Alarm Reactions.


Managing Scripts > configuring scripts > alarm reaction scripts

CUstomizing Alarm Reaction E-mails

You can customize the Subject line and body of an Alarm Reaction e-mail by creating a template, using plain text and any of the following reserved variables that represent specific information about the alarm:

$REACT_NAME | The name of the Alarm Reaction.
$COND_ID | The Alarm Condition ID.
$COND_NAME | The name of the Alarm Condition.
$COND_CTGR | The category of the Alarm Condition.
$APP_ID | The Application ID.
$APP_NAME | The name of the Application.
$APP_TYPE | The Application type.
$MSG_ID | The Message ID.
$MSG_DESCR | The text of the Message.
$$ | The dollar sign character ($).

You can then use this Alarm Reaction script as often as appropriate. For each use, the e-mail text will be automatically customized for the specific situation.

Example

Configure the following e-mail message in the Alarm Reaction Wizard for the cpu_overload_mail Alarm Reaction script:

Subject:

$COND_ID detected in $APP_NAME

Message:

CPU Overload has been detected by Genesys Solution Management Layer for Host1.

Alarm Reaction: $REACT_NAME

Alarm Condition:

ID: $COND_ID

NAME: $COND_NAME

Category: $COND_CTGR

Application:

ID: $APP_ID

Name: $APP_NAME

Type: $APP_TYPE

The system detects that CPU_overload has occurred in the Solution Control Server, an alarm is triggered, and the following e-mail is sent in response:

Subject:

CPU_overload detected in Solution_Control_Server_760

Message:

CPU Overload has been detected by Genesys Solution Management Layer for Host1.

Alarm Reaction: cpu_overload_mail

Alarm Condition:

ID: 118

NAME: CPU_overload

Category: Major

Application:

ID: 105

Name: Solution_Control_Server_760

Type: SCS

Note how the variable names have been replaced with actual values that are appropriate to the alarm scenario.


Managing Scripts > Configuring Scripts

Modifying Existing Scripts

To modify an existing Script within SCI:

  1. Select the Scripts view.

  2. Select a Script from the List pane. Right-click to display a shortcut menu.

  3. Depending on the type of the Script you selected:

    • Select Alarm Detection Wizard to modify the selected Alarm Detection Script.

    • Select Alarm Reaction Wizard to modify the selected Alarm Reaction Script.

  4. Follow the wizard instructions.

You can also use Configuration Manager to modify the name of a configured Script.


Managing Scripts

Deleting Scripts

To delete a Script within SCI:

  1. Go to the Scripts view.

  2. Select a Script in the List pane.

  3. Depending on the type of the Script you selected, select one of the following from the Script shortcut menu or from the Details pane:

    • Delete Detection Script

    • Delete Reaction Script


Managing Centralized Log

Managing Centralized Log Overview

Using Solution Control Interface, you can manage the Centralized Log by:

  • Viewing Centralized Log.

  • Making advanced selections from the Log Database, using either the Find command or the Log Advanced Search Wizard.

  • Viewing Real-Time Log.

  • Printing Log Records.

  • Managing the Log Database with the Log Database Maintenance Wizard.


Managing Centralized Log

Viewing Centralized Log

You can display the Centralized Log in one of four ways:

  • Select View > Centralized Log > All Log Records.

  • Select the Centralized Log folder from the Items Tree.

  • Click the Centralized Log icon from the Shortcuts bar.

  • Click the All Log Records icon from the Log Shortcuts bar.

List Pane

This pane of the Centralized Log view displays four different types of log records.

Use any of the listed options to display log records for each log type.

To view all the log records stored in the Log Database, do one of the following:

  • Click the Centralized Log icon on the View Shortcuts bar.

  • Click the All Log Records icon on the Log Shortcuts bar.

  • Select the Centralized Log folder from the Items Tree.

  • Select View > Centralized Log > All Log Records.

To view log records of a certain level that are stored in the Log Database, do one of the following:

  • Click the appropriate icon (Alarm, Standard, Interaction, or Trace) on the Log Shortcuts bar.

  • Select the appropriate subfolder (Alarm, Standard, Interaction, or Trace) from the Centralized Log folder in the Items tree view.

  • Go to View > Centralized Log and select the appropriate log level (Alarm, Standard, Interaction, or Trace).

Exporting Log Records

You can export any set of log records into a file and view them later using any text editor (for log records saved in the plain text format) or using any web browser (for log records saved in the XML format).

To export log records to a file:

  1. Select the log records and right-click to open the shortcut menu. (To select multiple log records, hold down the Ctrl key while highlighting the log records.)

  2. Select Export to TXT File to save log records in a plain text format, or select Export to XML File to save log records in the XML format.


Managing Centralized Log

Centralized Log Shortcut Menu

To open the Centralized Log shortcut menu:

  1. Go to the Centralized Log view.

  2. Select a log record in the List pane.

  3. Right-click.

The Centralized Log shortcut menu provides access to these commands:

Refresh | Updates log records of the currently displayed type with latest information from the centralized log storage.
Copy | Copies the currently selected set of log records to the clipboard.
Export to TXT File... | Exports the currently selected set of log records to a plain text file.
Export to XML File... | Exports the currently selected set of log records to an XML file.
Show All Records | Displays all log records from the centralized log storage.
Show Records with Level [log level] | Displays log records of the same output level as the currently selected log record.
Show Records from Host [host name] | Displays log records from Applications located on the same Host as the Application that generated the selected log record.
Show Records from Application [application name] | Displays log records generated by the Application that generated the currently selected log record.
Show Records from Applications of Type [application type] | Displays log records from all Applications of the same type as the Application that generated the selected log record.
Alarm Condition Wizard | Starts the wizard to create a new Alarm Condition with the same Detect Log Event ID as the selected log record.
Help | Displays detailed information about the currently selected log record.


Managing Centralized Log

Log Record Format

A log record displayed anywhere in SCI contains these fields:

ID | Unique identifier of the log event.
Generated | Date and time the event occurred.
Interaction ID | Unique interaction identifier (for example, Connection ID for a call). This field only displays for log events in the Interaction view.
Text | Text describing the event.
Application | Name of Application that reported the event.
Host | Host where the Application that reported the event is installed.
Type | Type of the Application that reported the event.

For more information about various log formats, see the Framework 7.6 Management Layer User's Guide.

Note: The fields described above do not apply to log output that is displayed on the Real-Time Log tab of the Application Details window.


Managing Centralized Log > Finding Log Records

Finding Log Records Overview

You can search for particular log records using either the Find command or the Log Advanced Search Wizard.


Managing Centralized Log > Finding Log Records

Using the Find Command

Use the Find command to select log records from the Log Database based on the following criteria:

  • Level—displays log records of the selected priority.

  • Application—displays log records that a specified Application has generated.

  • Host—displays log records that all Applications running on the specified Host have generated.

  • Text—displays log records that contain the specified symbols in their texts.

  • Interaction ID—displays log records that contain the specified Interaction ID. This field is only visible when the List pane displays the Interaction view.

To select log records based on specific criteria:

  1. Go to the Centralized Log view.

  2. To open the Find Log Records pane in place of the List pane, either select Find from the Actions menu or click the Find Items button on the main window toolbar.

  3. Specify one or more criteria for your search.

  4. Click Search.

You can access three commands from the Find Log Records pane:

  • Close—hides the Find Log Records pane.

  • Clear—removes all text from the criteria fields.

  • Search—finds the log records satisfying the specified criteria.


Managing Centralized Log > Finding Log Records

Using Log Advanced Search Wizard

Use this wizard to find a sequence of log records in the Log Database that are based on specific criteria:

  • Custom SQL statement—displays log records that satisfy a user-defined SQL statement.

  • Category of the log records—displays log records of the selected category. You can select regular Application log records, Alarm History records, or Audit records.

  • Log records level—displays log records of the selected priority.

  • Generation time interval—displays log records generated within the selected time interval.

  • Source of the log records—displays log records generated by the specified application(s). Log source can be a particular Application, Applications that belong to a particular Solution, or Applications that run on a particular Host.

  • Extended attributes—displays log records with the specified values of the extended attributes. For Interaction-level records, you may use a specific Interaction ID as a value of the IID attribute in this case.

To use the Log Advanced Search Wizard:

  1. If the toolbar is not displayed, select Toolbar from the View menu.

  2. Click the Run a Wizard button from the SCI toolbar.

  3. Select Log Advanced Search Wizard.

  4. Follow the instructions in the wizard.


Managing Centralized Log

Printing Log Records

To print log records, you must first export them to a file:

  1. Go to the Centralized Log view.

  2. Select the log records you want to print and right-click to open the Centralized Log shortcut menu. To select multiple log records, hold down the Ctrl key while highlighting the log records.

  3. Select Export to TXT File to save log records in the plain text format, or select Export to XML File to save log records in the XML format.

You can use:

  • Any text editor to open and print log records in the plain text format.

  • Any web browser to open and print log records in the XML format.

You can also export to a file and then print log records of a specific Application, Solution, or Host:

  1. Go to the Applications, Solutions, or Hosts view.

  2. Select an object (that is, an Application, a Solution, or a Host).

  3. Right-click to open the shortcut menu and select Open to display the Details window for the object.

  4. Select the tab representing the desired log level.

  5. Select the log records and right-click to open the shortcut menu. To select multiple log records, hold down the Ctrl key while highlighting the log records.

  6. Select Export to TXT File... to save log records in the plain text format or select Export to XML File... to save log records in the XML format.


Log Level Records Overview

managing centralized log > log levels

Log LevelS Overview

Solution Control Interface displays the information logged by four log levels:

  • Alarm

  • Standard

  • Interaction

  • Trace

Starting in release 7.6, you can also change the default log level of any log.


managing centralized log > log levels

Alarm Log Level

Alarm-level logs only contain Alarm-level log records. SCS generates log events of the Alarm level on behalf of other applications when SCS receives from them, log events that are configured as Detection events in Alarm Conditions.

Using the Alarm level, Solution Control Server reports the occurrence and removal of all alarms to the Log Database. This level contains the Management Layer's translations of log events from other levels into Alarms.

If you are using Management Layer alarm functionality, always enable the Alarm log level for Solution Control Server.

For more information, see Managing Active Alarms.


managing centralized log > log levels

Standard Log Level

Genesys recommends that you permanently enable only a Standard level of logging during the operation of Solutions in regular production mode. This level reports events for significant problems and normal operations of in-service Solutions.

An event is reported at the Standard level if it satisfies one of these criteria:

  • Indicates that an attempt to perform any external operation has failed

  • Indicates that the latest attempt to perform an external operation that previously failed has succeeded

  • Indicates detection of a condition that has a negative impact on operations, actual or projected

  • Indicates that a previously detected condition, which had a negative impact on operations, no longer exists

  • Indicates a security violation of any kind

  • Indicates a high-level data exchange that cannot be recognized or does not follow the expected logical sequence

  • Indicates inability to process an external request

  • Indicates successful completion of a logical step in an initialization process

  • Indicates a transition of an Application from one operational mode to another

  • Indicates that the value of a parameter associated with a configurable threshold has exceeded that threshold

  • Indicates that the value of a parameter associated with a configurable threshold that earlier exceeded the threshold has returned to its normal range


managing centralized log > log levels

Interaction Log Level

The Interaction-level logs report the details of an interaction process by Solution components that handle interactions. The log contains information about the processing steps for each interaction by each Solution component. Use the Interaction-level log records to analyze and troubleshoot new interaction-processing scenarios, especially when you introduce new Solutions or enable new functions within existing Solutions.

Note: Interaction-level records contain the Interaction ID attribute that helps to search for log events that are generated by various applications but related to the same interaction.

Warning! Using the Interaction level generates a higher number of logging events on the network; and that may adversely affect the performance of the DBMS, Message Servers, and interaction-processing components.

An event is reported at the Interaction level if it is a recognizable high-level data exchange with another Application about an interaction. The specific criteria depend on a particular component and its role in interaction processing.


managing centralized log > log levels

Trace Log Level

The Trace-level logs report the details of communications between the various Solution components. The log contains information about the processing steps for each interaction by each Solution component.

Use the Trace-level log records to analyze and troubleshoot new interaction-processing scenarios, especially when you introduce new Solutions or enable new functions within existing Solutions.

Warning! Using the Trace level generates a higher number of logging events on the network; and that may adversely affect the performance of the DBMS, Message Servers, and interaction-processing components.

An event is reported at the Trace level if it satisfies one of these criteria:

  • It is a recognizable high-level data exchange with another Application.

  • It is a recognizable high-level data exchange with an external system.

  • It indicates a change in real-time state of user-level objects handled by the Application (unless such a change can be seen from the high-level data exchange).


managing centralized log > log levels

Changing Log LevelS

Starting in release 7.6, you can customize a log event for any 7.6 or later application by changing its log level to a value different from its default, or to a value that disables the log completely.

Warning: Use caution when making these changes in a production environment. Depending on the log configuration, changing the log level to a higher priority may cause the log event to be logged more often or to a greater number of outputs. This could affect system performance. Likewise, changing the log level to a lower priority may cause the log event to be not logged at all, or not logged to specific outputs, thereby losing important information. The same applies to any alarms associated with that log event.

Customizations are unique to the application in which they are created. For example, Application A customizes a set of log events. Application B does not customize any log events. If the feature is activated, the log events will have the customized properties of the application which generated them—if generated by application A, the log events will be customized as specified by A; if generated by application B, the log events will not be customized. If Application B was to customize the same set of log events, but with different custom definitions, the log events generated by Application B would be customized as specified by B.

To customize a log:

  1. On the Options tab of the Application object, create a new section [log-extended].

  2. For each log to be customized, enter the following line:

level-reassign-<eventID>=<new log level>

where:

eventID is the log event ID of the log.

new log level is the new log level for the customized log, or none if the log is to be disabled.

Each option must be on a separate line.

For example:

[log-extended]
level-reassign-1020=none
level-reassign-2020=interaction
level-reassign-2030=interaction
level-reassign-4020=standard

You can customize logs at any time, but if you want to restore the default values (in effect, cancel the customizations) without removing the customization options from the configuration file, add the option level-reassign-disable to the [log-extended] section. When you set this option to true, all logs are restored to their original log levels. When you set this option to false, the customized options take effect and the specified logs have their log levels changed or are disabled accordingly. This option is useful for when you want to save the customizations for future use, such as for testing in a particular situation.

The following examples illustrate the use of this option.

Some logs are customized, and the changes activated:

[log-extended]
level-reassign-1020=none
level-reassign-2020=interaction
level-reassign-2030=interaction
level-reassign-4020=standard
level-reassign-disable=false

The logs are restored to their default log levels:

[log-extended]
level-reassign-1020=none
level-reassign-2020=interaction
level-reassign-2030=interaction
level-reassign-4020=standard
level-reassign-disable=true

Notes:

  • Logs can be customized only by release 7.6 or later applications.

  • When the log level of a log event is changed to any level except none, it is subject to the other settings in the [log] section at its new level. If set to none, it is not logged and therefore not subject to any log configuration.

  • Changing the log level of a log using this feature changes only its priority; it does not change how that log is treated by the system. For example, increasing the priority of a log to Alarm level does not mean that an alarm will be associated with it.

  • Each application in an HA pair can define its own unique set of log customizations, but the two sets are not synchronized with each other. This can result in different log behavior depending on which application is currently in primary mode.

  • This feature is not the same as a similar feature in Universal Routing Server, version 7.2 or later. In this Framework feature, the priority of log events are customized. In the URS feature, the priority of debug messages only are customized. Refer to the Universal Routing 7.5 Reference Manual for more information about the URS feature.

  • You cannot customize any log event that is not in the unified log record format. Log events of the Alarm, Standard, Interaction, and Trace levels feature the same unified log record format.

Refer to the Framework 7.6 Configuration Options Reference Manual for more information about these options.


Managing Centralized Log

Real-Time Log

To display all log output that a particular Application generates:

  1. Go to the Applications view.

  2. Select an Application from the List pane.

  3. Right-click to open the shortcut menu and select Open to display the Application Details window.

  4. Select Start Real-Time Log from the Log menu of the Application Details window.

  5. Select the Real-Time Log tab to view the Application's log output.

The Real-Time Log tab displays log output that the application generates and that SCI receives since you selected the Start Real-Time Log command.

To discontinue sending the Application's log output to the Real-Time Log tab:

  1. Go to the Application Details window.

  2. Select Stop Real-Time Log from the Log menu.

The Real-Time Log tab continues to display the application's log output that SCI received prior to the issuance of the Stop Real-Time Log command; however, no new output from the application appears on the Real-Time Log tab.

You can save the entire log output that is displayed on the Real-Time Log tab to a text file and view the log later using any text editor.

To save the application's entire log output to a file:

  1. Select the Real-Time Log tab in the Application Details window.

  2. Select File > Save As to open the Save As window.

  3. Specify the file name to which to save log entries.

  4. Click OK.

You can also copy selected log entries to the Clipboard and paste them into a file using any text editor.


Managing Centralized Log

Troubleshooting Log Viewing

If the Application log records cannot be viewed, make sure that:

  • The Application log option named verbose is not set to none.

  • The log output network is specified.

  • Message Server is specified as a Server for the Application.

  • Message Server is started.

  • Message Server has the configuration option named db_storage in the messages section set to true and the Database Access Point that is used to access the Log Database is specified as a Server for Message Server.

  • Solution Control Interface has a connection to the same Database Access Point as Message Server.

  • Log Database is working, and the user specified on the DB Info tab of the Database Access Point Properties window has Write permission regarding log tables in the database.

Note: As a general rule, use Solution Control Interface to view configuration and use Configuration Manager to correct it. Also, use Configuration Manager to view configuration details not displayed by Solution Control Interface.

See also Management Layer Troubleshooter.


Managing Centralized Log

Log Database Maintenance Wizard

Use this wizard to either delete all log records at once or selectively delete log records on a basis of:

  • Custom SQL statement—the wizard finds and deletes log records that satisfy a user-defined SQL statement.

  • Category of the log records—the wizard displays log records of the selected category. You can select regular Application log records, Alarm History records, or Audit records.

  • Log records level—the wizard finds and deletes log records of the selected priority.

  • Generation time interval—the wizard finds and deletes log records generated within the selected time interval.

  • Source of the log records—the wizard finds and deletes log records generated by the specified application(s). Log source can be a particular Application, Applications that belong to a particular Solution, or Applications that run on a particular Host.

  • Extended attributes—the wizard displays log records with the specified values of the extended attributes. For Interaction-level records, you may use a specific Interaction ID as a value of the IID attribute in this case.

To use the Log Database Maintenance Wizard:

  1. If the toolbar is not displayed, select Toolbar from the View menu.

  2. Click the Run a Wizard button from the SCI toolbar.

  3. Select Log Database Maintenance Wizard.

  4. Click OK.

  5. Follow the instructions in the wizard.


Managing Alarm History

Managing Alarm History Overview

SCS generates Alarm History records to document when an alarm is created and cleared and what Application and Alarm Condition the alarm is associated with. SCS uses the Log Database to store Alarm History records; therefore, information about all alarms is available for as long as log records are stored.

Use SCI to manage Alarm History records by:

  • Viewing Alarm History.

  • Making advanced selections from the Log Database, using either the Find command or the Log Advanced Search Wizard.

  • Printing Alarm History records.

  • Managing Alarm History records with the Log Database Maintenance Wizard.


Managing Alarm History

Viewing Alarm History

You can display the Alarm History view in one of three ways:

  • Select View > Alarm History.

  • Select the Alarm History folder from the Items tree.

  • Click the Alarm History icon from the Shortcuts bar.

List Pane

This pane displays all alarms that SCS has generated.

Details Pane

This pane displays detailed information about an alarm that is selected in the List pane. The Details pane indicates whether the alarm is active or cleared and provides information about alarm detection and, if the alarm is already removed, about its clearance.

The Details pane also displays the:

  • Severity category and time the alarm was generated.

  • Application and Host the alarm is related to.

  • Alarm Condition and SCS log message that prompted the alarm.


Managing Alarm History

Alarm History Record Format

The List pane of the Alarm History view displays records containing these fields:

Generated | The date and time the alarm occurred.
Category | The alarm's severity category (Critical, Major, or Minor).
Alarm Condition | The name of the Alarm Condition triggering this alarm, as specified in the Configuration Database.
Application | The name of the Application reporting the log event that triggered the alarm.
Host | The Host for the Application reporting the log event that triggered the alarm.


Managing Alarm History

Finding Alarm History Records

Use the Find command to search for particular Alarm History records or use the Log Advanced Search Wizard. Using the Find command, you can search for records from the Log Database based on the following criteria:

  • Category—displays Alarm History records of the selected severity category.

  • Application—displays Alarm History records based on log events that the specified Application has generated.

  • Host—displays Alarm History records based on log events that all Applications running on the specified Host have generated.

  • Alarm Text—displays Alarm History records that contain the specified symbols in SCS-generated Log Message texts.

To select log records based on specific criteria:

  1. Go to the Alarm History view.

  2. To open the Find Alarm History Records pane, either select Find from the Actions menu or click the Find Items button on the main window toolbar.

  3. Specify one or more criteria for your search.

  4. Click Search.

The Find Alarm History Records pane provides three commands:

  • Close—hides the Find Log Records pane.

  • Clear—removes all text from the criteria fields.

  • Search—finds the log records that satisfy the specified criteria.


Managing Alarm History

Printing Alarm History Records

To print Alarm History records:

  1. Go to the Alarm History view.

  2. Select the record you want to print in the List pane.

  3. If the Details pane does not display, select Details Pane from the View menu.

  4. Select Print from the File menu to print information from the Details pane.


Managing Alarm History

Maintaining Alarm History Records

Use the Log Database Maintenance Wizard to delete all or only specified Alarm History records from the Log Database.


Managing Audit Records

Managing Audit Records Overview

Various Applications generate certain log events for auditing purposes. SCS stores these log events as Audit records in the Log Database.

Note: Audit-related log events may contain extended attributes.

Use SCI to manage the Audit records by:

  • Viewing Audit records.

  • Making advanced selections from the Log Database, using either the Find command or the Log Advanced Search Wizard.

  • Printing Audit records.

  • Managing Audit records with the Log Database Maintenance Wizard.


Managing Audit Records

Viewing Audit Records

You can display the Audit view in one of three ways:

  • Select View > Audit

  • Select the Audit folder from the Items tree.

  • Click the Audit icon from the Shortcuts bar.

List Pane

This pane displays all Audit-related log records. All log records in the Audit view have the same format.

Details Pane

This pane displays all available details for the Audit log record that is selected in the List pane:

  • ID, text, and level of the log event

  • Name, Type, and Host of the Application that generated the log event

  • Data and time the application generated the log event and SCS stored it as a log record to the database

The Details pane also displays any extended attributes that the Application may have attached to the Audit-related log event.

You can use names and values of these attributes as search criteria in both Log Advanced Search Wizard and Log Database Maintenance Wizard.


Managing Audit Records

Audit Record Shortcut Menu

To open this menu:

  1. Go to the Audit view.

  2. Select a log record in the List pane.

  3. Right-click.

You can access these commands from the Audit shortcut menu:

Refresh | Updates log records of the currently displayed type with latest information from the centralized log storage.
Copy | Copies the currently selected set of log records to the clipboard.
Export to TXT File... | Exports the currently selected set of log records to a plain text file.
Export to XML File... | Exports the currently selected set of log records to an XML file.
Show All Records | Displays all log records from the centralized log storage.
Show Records with Level [log level] | Displays log records of the same output level as the currently selected log record.
Show Records from Host [host name] | Displays log records from Applications located on the same Host as the Application that generated the selected log record.
Show Records from Application [application name] | Displays log records generated by the Application that generated the currently selected log record.
Show Records from Applications of Type [application type] | Displays log records from all Applications of the same type as the Application that generated the selected log record.
Alarm Condition Wizard | Starts the wizard to create a new Alarm Condition with the same Detect Log Event ID as the selected log record.
Help | Displays detailed information about the currently selected log record.


Managing Audit Records

Finding Audit Records

As with other log records, you can search for particular Audit-related log records using either the Find command or the Log Advanced Search Wizard.


Managing Audit Records

Printing Audit Records

Print audit-related log records using the same procedure as for printing any log record.


Managing Audit Records

Maintaining Audit Records

Use the Log Database Maintenance Wizard to delete all or only specified Audit records from the Log Database.


Error Messages

Error Messages Overview

Solution Control Interface reports four types of error messages:

  1. Error messages that Solution Control Server generates. Message IDs start with SCS.

  2. Error messages that Solution Control Interface generates. Message IDs start with SCI.

  3. Error and warning messages that Configuration Checker generates. Message IDs start with SCI-CCE or SCI-CCW.

  4. Error messages that Configuration Server generates. Message IDs start with SCEE.

Along with an error ID and text, this Help file provides an error description and suggested actions, when appropriate. Follow the general suggestions for handling the error. If a problem persists, contact Genesys Technical Support.

All error messages that Solution Control Server, Solution Control Interface, and Configuration Checker generate are documented in this Help file. Refer to Framework 7.6 Configuration Layer Error Messages Help for descriptions of error messages that Configuration Server generates.


Error Messages > SCS Error Messages

SCS Error Messages Overview

This section describes error messages that Solution Control Server generates.

Select an error message ID from the list below to view information about it.

SCS001 | SCS004 | SCS007 | SCS010
SCS002 | SCS005 | SCS008 | SCS011
SCS003 | SCS006 | SCS009 |

See also:

  • SCI Error Messages

  • Configuration Checker Error Messages


Error Messages > SCS Error Messages

SCS001

Unable to stop the Application within the configured timeout.

Indicates that Solution Control Server is unable to terminate the Application.

Possible reasons for this error are:

  • The Application has not responded to the termination request from Local Control Agent.

  • Operating system error.

Recommendation:

  • Stop the Application manually.


Error Messages > SCS Error Messages

SCS002

Unable to start the Application.

Indicates that Solution Control Server is unable to start the Application.

Recommendation:

  • Check that the Application's configuration is correct in the Configuration Layer.


Error Messages > SCS Error Messages

SCS003

Application has already started.

Indicates that the Application has already been started upon request from another client.


Error Messages > SCS Error Messages

SCS004

SCS is unable to find object of type <object type> with DBID <object id>.

Solution Control Server was unable to find the configuration object requested by SCI in its internal storage.

Recommendation:

  • Restart Solution Control Server.


Error Messages > SCS Error Messages

SCS005

Unable to connect to Local Control Agent on host <host>.

Indicates that Solution Control Sever cannot establish a communication session with the Local Control Agent (LCA) of the specified host and, therefore, is unable to control or monitor Applications located on the host.

Recommendations:

  1. Make sure that LCA is running on the specified host.

  2. Check the network connectivity between the specified host and the host where SCS is running.

  3. Make sure that the actual port at which the LCA is running matches the port specified in the Configuration Layer.

  4. Make sure that LCA and SCS are of compatible versions. Check the Genesys Migration Guide and Release Notes for version compatibility information.


Error Messages > SCS Error Messages

SCS006

Requested operation (start/stop) for the specified object is already in progress.

Indicates that the requested operation is already in progress upon request from another client.


Error Messages > SCS Error Messages

SCS007

Operating system error <error>.

The operating system of the host where LCA is running has generated an error in response to an attempt to perform the requested operation, where

<error>—error ID of the operating system.

Recommendation:

  • Refer to your operating system manual.


Error Messages > SCS Error Messages

SCS008

Compatibility error. Contact Genesys Technical Support.


Error Messages > SCS Error Messages

SCS009

Solution Control Server cannot connect the client because of protocol incompatibility.

Recommendations:

  • Check the Genesys Migration Guide and Release Notes for information about version compatibility between Solution Control Server and Solution Control Interface.

  • Upgrade Solution Control Interface if necessary.


Error Messages > SCS Error Messages

SCS010

Solution Control Server is working in backup mode and cannot execute any requests.

Solution Control Server working in Backup mode does not accept client requests for execution.

Recommendation:

  • Check the configuration of the Solution Control Interface Application in the Configuration Layer to make sure that the Application is configured to connect to the primary server.


Error Messages > SCS Error Messages

SCS011

Host conflict. Application configured on one host was detected (either started or stopped) on another host.

SCS has detected that the configured and actual Hosts differ for an Application.

Recommendation:

  • Check the configuration of the Application object. Make sure the correct Host is specified.


Error Messages > SCI Error Messages

SCI Error Messages Overview

This section describes error messages that Solution Control Interface generates.

Select an error message ID from the list below to view information about it.

SCI022 | SCI036 | SCI050 | SCI064
SCI023 | SCI037 | SCI051 | SCI065
SCI024 | SCI038 | SCI052 | SCI067
SCI025 | SCI039 | SCI053 | SCI069
SCI026 | SCI040 | SCI054 | SCI070
SCI027 | SCI041 | SCI055 | SCI071
SCI028 | SCI042 | SCI056 | SCI072
SCI029 | SCI043 | SCI057 | SCI073
SCI030 | SCI044 | SCI058 | SCI074
SCI031 | SCI045 | SCI059 | SCI075
SCI032 | SCI046 | SCI060 | SCI076
SCI033 | SCI047 | SCI061 | SCI077
SCI034 | SCI048 | SCI062 | SCI079
SCI035 | SCI049 | SCI063 |

See also:

  • SCS Error Messages

  • Configuration Checker Error Messages


Error Messages > SCI Error Messages

SCI022

Configuration Server error <error code><error message>.

Reports an error message that Configuration Server has generated.

Where

<error code>—the error message ID as reported by Configuration Server.

<error message>—the text of the error message as reported by Configuration Server.

Recommendation:

  • Refer to the Framework 7.6 Configuration Layer Error Messages Help for descriptions of error messages that Configuration Server generates.


Error Messages > SCI Error Messages

SCI023

Cannot retrieve alarm reactions from Configuration Server.

Possible reasons for this error are:

  1. Versions of Solution Control Interface (SCI) and Configuration Server are incompatible (see Recommendation 1).

  2. A network problem prevents SCI from reading configuration data (see Recommendation 2).

  3. SCI malfunctions (see Recommendation 3).

Recommendations:

  1. Check the Genesys Migration Guide and Release Notes for information about version compatibility between SCI and Configuration Server. Upgrade if necessary.

  2. Check the network connectivity between the host running Configuration Server is and the host running SCI.

  3. Restart SCI.


Error Messages > SCI Error Messages

SCI024

Cannot retrieve alarm conditions from Configuration Server.

Possible reasons for this error are:

  1. Versions of Solution Control Interface (SCI) and Configuration Server are incompatible (see Recommendation 1).

  2. A network problem prevents SCI from reading configuration data (see Recommendation 2).

  3. SCI malfunctions (see Recommendation 3).

Recommendations:

  1. Check the Genesys Migration Guide and Release Notes for information about version compatibility between SCI and Configuration Server. Upgrade if necessary.

  2. Check the network connectivity between the host running Configuration Server and the host running SCI.

  3. Restart SCI.


Error Messages > SCI Error Messages

SCI025

Cannot retrieve solutions from Configuration Server.

Possible reasons for this error are:

  1. Versions of Solution Control Interface (SCI) and Configuration Server are incompatible (see Recommendation 1).

  2. A network problem prevents SCI from reading configuration data (see Recommendation 2).

  3. SCI malfunctions (see Recommendation 3).

Recommendations:

  1. Check the Genesys Migration Guide and Release Notes for information about version compatibility between SCI and Configuration Server. Upgrade if necessary.

  2. Check the network connectivity between the host running Configuration Server and the host running SCI.

  3. Restart SCI.


Error Messages > SCI Error Messages

SCI026

Cannot retrieve applications from Configuration Server.

Possible reasons for this error are:

  1. Versions of Solution Control Interface (SCI) and Configuration Server are incompatible (see Recommendation 1).

  2. A network problem prevents SCI from reading configuration data (see Recommendation 2).

  3. SCI malfunctions (see Recommendation 3).

Recommendations:

  1. Check the Genesys Migration Guide and Release Notes for information about version compatibility between SCI and Configuration Server. Upgrade if necessary.

  2. Check the network connectivity between the host running Configuration Server and the host running SCI.

  3. Restart SCI.


Error Messages > SCI Error Messages

SCI027

Cannot retrieve hosts from Configuration Server.

Possible reasons for this error are:

  1. Versions of Solution Control Interface (SCI) and Configuration Server are incompatible (see Recommendation 1).

  2. A network problem prevents SCI from reading configuration data (see Recommendation 2).

  3. SCI malfunctions (see Recommendation 3).

Recommendations:

  1. Check the Genesys Migration Guide and Release Notes for information about version compatibility between SCI and Configuration Server. Upgrade if necessary.

  2. Check the network connectivity between the host running Configuration Server and the host running SCI.

  3. Restart SCI.


Error Messages > SCI Error Messages

SCI028

Lost connection with Solution Control Server. Reconnect now?

If a connection cannot be restored immediately, you can reconnect to Solution Control Server later using the Reconnect command from the File menu.


Error Messages > SCI Error Messages

SCI029

Unable to establish connection with DB Server on <host>:<port>. Log Viewing function will be unavailable.

Indicates that Solution Control Interface (SCI) cannot establish a communication session with the DB Server Application, which provides access to the Log Database. Therefore, SCI is unable to provide the log viewing function.

Where

<host>—host where DB Server is running

<port>—port that DB Server clients use to connect to DB Server

Recommendations:

  1. Make sure that DB Server is running on the specified host.

  2. Check the network connectivity between the specified host and the computer running SCI.

  3. Make sure that configuration of the DB Server Application is correct in the Configuration Layer.


Error Messages > SCI Error Messages

SCI030

Lost connection with DB Server. Reconnect now?

If a connection cannot be restored immediately, you can reconnect to DB Server later using the Reconnect command from the File menu.


Error Messages > SCI Error Messages

SCI031

Unable to open the file <file name> for writing.

Reports that the file cannot be opened.

Recommendations:

  1. Make sure that the user has Write permission.

  2. Make sure that a file with the specified name does not already exist.

  3. Make sure that if the file with the specified name exists, it is not already opened.


Error Messages > SCI Error Messages

SCI032

Unable to obtain Solution Control Server data from configuration.

Possible reasons for this error are:

  1. Versions of Solution Control Interface (SCI) and Configuration Server are incompatible (see Recommendation 1).

  2. A network problem prevents SCI from reading configuration data (see Recommendation 2).

  3. SCI malfunctions (see Recommendation 3).

Recommendations:

  1. Check the Genesys Migration Guide and Release Notes for information about version compatibility between SCI and Configuration Server. Upgrade if necessary.

  2. Check the network connectivity between the host running Configuration Server and the host running SCI.

  3. Restart SCI.


Error Messages > SCI Error Messages

SCI033

Unable to establish connection with Solution Control Server on <host>:<port>.

Indicates that Solution Control Interface (SCI) cannot establish a communication session with Solution Control Server (SCS) and, therefore, can only provide the log viewing function if configured to do so.

Where

<host>—host running SCS

<port>—port that SCS clients use to connect to SCS

Recommendations:

  1. Make sure that SCS is running on the specified host.

  2. Check the network connectivity between the specified host and the computer running SCI.

  3. Make sure that SCS's configuration is correct in the Configuration Layer.

  4. Check the Genesys Migration Guide and Release Notes for information about version compatibility between SCS and SCI. Upgrade SCI if necessary.


Error Messages > SCI Error Messages

SCI034

Unable to obtain OS information for host.

Indicates that SCI cannot display Host details on the OS Information tab.

Recommendations:

  • Verify that the LCA installed on the Host is of release 7.6 and that SCS to which SCI is connected is also of release 7.6.

  • Make sure that the connection between LCA and SCS exists.


Error Messages > SCI Error Messages

SCI035

You do not have Execute permissions for the object (application or solution).

Indicates that your control command (for example, "stop application") cannot be performed because you do not have Execute permissions for the controlled object.

Recommendation:

  • Verify in the Configuration Layer whether the account (user name) under which you logged in to SCI has Execute permissions for a particular Application or Solution.


Error Messages > SCI Error Messages

SCI036

This type of wizard is unavailable in current working mode.

Indicates that SCI cannot launch the wizard you have requested.

Recommendations:

  • Make sure that SCI has an active connection with Configuration Server.

  • Verify that the object for which you are trying to configure log settings supports this operation. For example, the object is a Genesys Application.


Error Messages > SCI Error Messages

SCI037

New value for an application startup parameter in Details Window is out of range.

Indicates that the parameter you are trying to modify in the Start Info section of the Application's Details Window does not support the newly specified value.

Recommendation:

  • Use the correct value when entering data.


Error Messages > SCI Error Messages

SCI038

Cannot create instance of COMCfgManager. Wizards will not be accessible.

Indicates an internal compatibility problem that prevents you from starting any wizards from Solution Control Interface (SCI). This error does not affect other functions in SCI.

Recommendation:

  • Report the problem to Genesys Technical Support.


Error Messages > SCI Error Messages

SCI039

Compatibility error. Contact Genesys Technical Support.


Error Messages > SCI Error Messages

SCI040

Cannot connect to Configuration Server.

Indicates that Solution Control Interface (SCI) cannot establish a communication session with Configuration Server.

Recommendations:

  1. Check the connection parameters in the Details pane of the SCI Login window.

  2. Make sure that Configuration Server is running on the specified port of the specified host.

  3. Check the network connectivity between the host running Configuration Server and the host running SCI.


Error Messages > SCI Error Messages

SCI041

Compatibility error. Contact Genesys Technical Support.


Error Messages > SCI Error Messages

SCI042

Compatibility error. Contact Genesys Technical Support.


Error Messages > SCI Error Messages

SCI043

Compatibility error. Contact Genesys Technical Support.


Error Messages > SCI Error Messages

SCI044

Compatibility error. Contact Genesys Technical Support.


Error Messages > SCI Error Messages

SCI045

Compatibility error. Contact Genesys Technical Support.


Error Messages > SCI Error Messages

SCI046

Compatibility error. Contact Genesys Technical Support.


Error Messages > SCI Error Messages

SCI047

Failed to create Virtual List Control.

Solution Control Interface cannot create GUI control. This problem generally occurs because of a shortage of system resources.

Recommendation:

  • Free up memory by closing some open applications or restart the computer.


Error Messages > SCI Error Messages

SCI048

Failed to create List Control.

Solution Control Interface cannot create GUI control. This problem generally occurs because of a shortage of system resources.

Recommendation:

  • Free up memory by closing some open applications or restart the computer.


Error Messages > SCI Error Messages

SCI049

Specified login information is invalid. Check the user name and password and try again.

A communication session with Configuration Server cannot be established because you supplied incorrect parameters in the Login window.

Recommendation:

  • Make sure that the following parameters are specified as configured in the Configuration Layer:

    • User name

    • Password

    • Application name of Solution Control Interface

    • Host name of the computer that runs Configuration Server

    • Port that client applications must use to connect to Configuration Server


Error Messages > SCI Error Messages

SCI050

Cannot set up Configuration Server callbacks.

SCI has been unable to set up callbacks to Configuration Server. This may indicate a Configuration Server error.

Recommendation:

  • Check that Configuration Server is running and that the connection between SCI and Configuration Server is functioning correctly. After correcting any problems, restart SCI.


Error Messages > SCI Error Messages

SCI051

Cannot register for Configuration Server notifications.

SCI is unable to register for notifications about changes to Configuration Server objects. This may indicate a Configuration Server error.

Recommendation:

  • Check that Configuration Server is running and that the connection between SCI and Configuration Server is functioning correctly. After correcting any problems, restart SCI.


Error Messages > SCI Error Messages

SCI052

Cannot retrieve configuration objects.

SCI is unable to load required configuration objects from Configuration Server. This may indicate an error in Configuration Server.

Recommendation:

  • Check that Configuration Server is running and that the connection between SCI and Configuration Server is functioning correctly. After correcting any problems, restart SCI.


Error Messages > SCI Error Messages

SCI053

Internal error.


Error Messages > SCI Error Messages

SCI054

Unable to obtain the application object from Configuration Server. Exiting.

Solution Control Interface (SCI) cannot load its Application object from Configuration Server. This may indicate a problem with Configuration Server.

Recommendation:

  • Check that Configuration Server is running and that the connection between SCI and Configuration Server is functioning correctly. After correcting any problems, restart SCI.


Error Messages > SCI Error Messages

SCI055

Cannot find required connection information for DB Server and Solution Control Server. Exiting.

Indicates that Solution Control Interface (SCI) is not configured to connect to any Solution Control Server (SCS) or Database Access Point and, therefore, cannot function.

Recommendation:

  • Using Configuration Manager, configure SCI to connect to SCS for you to use control and alarm-viewing functions and to Database Access Point of the Log Database for you to use the log-viewing function.


Error Messages > SCI Error Messages

SCI056

Connection data for Solution Control Server is missing. Only Log Viewing function will be available.

Indicates that Solution Control Interface (SCI) is not configured to connect to Solution Control Server (SCS) and, therefore, only the log-viewing function is available.

Recommendation:

  • If you were planning to use SCI for control and alarm-viewing functions, use Configuration Manager to configure an SCI connection to SCS.


Error Messages > SCI Error Messages

SCI057

Connection data for Database Access Point is missing. Log Viewing function will be unavailable.

Indicates that Solution Control Interface (SCI) is not configured to connect to a Database Access Point and, therefore, the log-viewing function is not available.

Recommendation:

  • If you were planning to use SCI for log-viewing functions, use Configuration Manager to configure an SCI connection to a Database Access Point of the Log Database.


Error Messages > SCI Error Messages

SCI058

Unable to close log cursor. SQL: <SQL statement text> Error code: <error code> Message: <message>. Contact the database administrator.

An error prevented Solution Control Interface from performing the client request.

Where:

<SQL statement text>—text of the SQL server statement that resulted in the error

<error code>—error code the SQL server has returned

<message>—text of error message the SQL server has returned

Recommendation:

  • Report the problem to the database administrator.


Error Messages > SCI Error Messages

SCI059

Unable to deallocate log cursor. SQL: <SQL statement text> Error code: <error code> Message: <message>. Contact the database administrator.

An error prevented Solution Control Interface from performing the client request.

Where:

<SQL statement text>—text of the SQL server statement that resulted in the error

<error code>—error code the SQL server has returned

<message>—text of error message the SQL server has returned

Recommendation:

  • Report the problem to the database administrator.


Error Messages > SCI Error Messages

SCI060

Unable to allocate log cursor. SQL: <SQL statement text> Error code: <error code> Message: <message>. Contact the database administrator.

An error prevented Solution Control Interface from performing the client request.

Where:

<SQL statement text>—text of the SQL server statement that resulted in the error

<error code>—error code the SQL server has returned

<message>—text of error message the SQL server has returned

Recommendation:

  • Report the problem to the database administrator.


Error Messages > SCI Error Messages

SCI061

Unable to open log cursor. SQL: <SQL statement text> Error code: <error code> Message: <message>. Contact the database administrator.

An error prevented Solution Control Interface from performing the client request.

Where:

<SQL statement text>—text of the SQL server statement that resulted in the error

<error code>—error code the SQL server has returned

<message>—text of error message the SQL server has returned

Recommendation:

  • Report the problem to the database administrator.


Error Messages > SCI Error Messages

SCI062

Unable to get record count. SQL: <SQL statement text> Error code: <error code> Message: <message>. Contact the database administrator.

An error prevented Solution Control Interface from performing the client request.

Where:

<SQL statement text>—text of the SQL server statement that resulted in the error

<error code>—error code the SQL server has returned

<message>—text of error message the SQL server has returned

Recommendation:

  • Report the problem to the database administrator.


Error Messages > SCI Error Messages

SCI063

Unable to execute SQL: <SQL statement text> Error code: <error code> Message: <message>. Contact the database administrator.

An error prevented Solution Control Interface from performing the client request.

Where:

<SQL statement text>—text of the SQL server statement that resulted in the error

<error code>—error code the SQL server has returned

<message>—text of error message the SQL server has returned

Recommendation:

  • Report the problem to the database administrator.


Error Messages > SCI Error Messages

SCI064

Unable to prepare ID range. SQL: <SQL statement text> Error code: <error code> Message: <message>. Contact the database administrator.

An error prevented Solution Control Interface from performing the client request.

Where:

<SQL statement text>—text of the SQL server statement that resulted in the error

<error code>—error code the SQL server has returned

<message>—text of error message the SQL server has returned

Recommendation:

  • Report the problem to the database administrator.


Error Messages > SCI Error Messages

SCI065

There are no applications for which log may be configured.

Indicates that Solution Control Interface cannot launch the Log Wizard because no Genesys Applications are associated with the selected Host or Solution.

Recommendation:

  • Verify that the Host or Solution configuration contain Genesys Application(s).


Error Messages > SCI Error Messages

SCI067

Unable to delete alarm reaction because other object(s) depends on it.

Indicates that Solution Control Interface cannot remove an Alarm Reaction Script because the Script is associated with another object (for example, an Alarm Condition).

Recommendation:

  • Make sure that the Script you are trying to delete is not associated as an Alarm Reaction with any Alarm Conditions.


Error Messages > SCI Error Messages

SCI069

Compatibility error. Contact Genesys Technical Support.


Error Messages > SCI Error Messages

SCI070

Log Storage is unable to load block <block number> [<1st message in block>-<last message in block>].

Solution Control Interface (SCI) cannot load a specific block of log messages from the Log Database.

Recommendation:

  • Check that the Log Database is initialized and working correctly and that the connections are active between:

  • SCI and the DB Server used for accessing the Log Database.

  • The Log Database and the DB Server used for accessing this database.


Error Messages > SCI Error Messages

SCI071

Internal Error. Contact Genesys Technical Support.


Error Messages > SCI Error Messages

SCI072

Unable to reconnect to Configuration Server. Exiting.

Possible reasons for this error are:

  1. Versions of Solution Control Interface (SCI) and Configuration Server are incompatible (see Recommendation 1).

  2. A network problem prevents SCI from reading configuration data (see Recommendation 2).

  3. SCI malfunctions (see Recommendation 3).

Recommendations:

  1. Check the Genesys Migration Guide and Release Notes for information about version compatibility between SCI and Configuration Server. Upgrade if necessary.

  2. Check the network connectivity between the host running Configuration Server and the host running SCI.

  3. Restart SCI.


Error Messages > SCI Error Messages

SCI073

Configuration Wizards Error: Cannot add application to COMCfgLogWizard.

Possible reasons for this error:

  1. Solution Control Interface (SCI) was improperly installed.

  2. Configuration Wizards were improperly installed.

  3. Versions of SCI and Configuration Wizards are incompatible.

Recommendation:

  • Reinstall SCI.


Error Messages > SCI Error Messages

SCI074

Configuration Wizards Error: Cannot initialize Configuration Manager.

Possible reasons for this error:

  1. Solution Control Interface (SCI) was improperly installed.

  2. Configuration Server is improperly working.

  3. Configuration Wizards were improperly installed.

  4. Versions of SCI and Configuration Wizards are incompatible.

Recommendations:

  1. Check the Genesys Migration Guide and Release Notes for information about version compatibility between SCI and Configuration Server. Upgrade if necessary.

  2. Reinstall SCI.


Error Messages > SCI Error Messages

SCI075

Configuration Wizards Error: Cannot create instance of the wizard <wizard name>.

Possible reasons for this error:

  1. Solution Control Interface (SCI) was improperly installed.

  2. Configuration Wizards were improperly installed.

  3. Versions of SCI and Configuration Wizards are incompatible.

Recommendation:

  • Reinstall SCI.


Error Messages > SCI Error Messages

SCI076

Configuration Wizards Error: Cannot set detect Log Event ID in Alarm Condition Wizard.

Possible reasons for this error:

  1. Solution Control Interface (SCI) was improperly installed.

  2. Configuration Wizards were improperly installed.

  3. Versions of SCI and Configuration Wizards are incompatible.

Recommendation:

  • Reinstall SCI.


Error Messages > SCI Error Messages

SCI077

Unable to open the Registry key <key name>. Exiting.

A possible reason for this error:

  • Solution Control Interface (SCI) was improperly installed.

Recommendation:

  • Reinstall SCI.


Error Messages > SCI Error Messages

SCI079

Connection with Solution Control Server lost. Reconnect manually.

Reports that the connection between Solution Control Server (SCS) and Solution Control Interface (SCI) has been lost, and it cannot be restored automatically.

Recommendation:

  • Reconnect to SCS by using the Reconnect command from the File menu.


Configuration Checker Error Message Overview

Error Messages > Configuration Checker Error Messages

Configuration Checker Error and Warning Overview

Configuration Checker produces two kinds of error messages:

  • Error messages—Message IDs start with SCI-CCE.

  • Warning messages—Message IDs start with SCI-CCW.

The report that Configuration Checker generates contains the full text of each error or warning message as well as the recommended solutions.

For you convenience, all Configuration Checker errors, warnings, and recommended solutions are documented in this Help file.

Note: The Configuration Checker projects how you can maximize Management Layer functionality for the existing configuration objects. If you do not plan to use a particular function of the Management Layer or if you do not plan to use a redundant component for this function, ignore the Configuration Checker's warnings for this function or component when analyzing the Check Report.

Select an error message ID from the list below to view information about the error.

SCI-CCE-001 | SCI-CCE-007 | SCI-CCW-001 | SCI-CCW-007
SCI-CCE-002 | SCI-CCE-008 | SCI-CCW-002 | SCI-CCW-008
SCI-CCE-003 | SCI-CCE-009 | SCI-CCW-003 | SCI-CCW-009
SCI-CCE-004 | SCI-CCE-010 | SCI-CCW-004 | SCI-CCW-010
SCI-CCE-005 | SCI-CCE-011 | SCI-CCW-005 |
SCI-CCE-006 | SCI-CCE-012 | SCI-CCW-006 |

See also:

  • SCS Error Messages

  • SCI Error Messages


Error Messages > Configuration Checker Error Messages

SCI-CCE-001

The same port <port number> specified for more than one application on the host <host name>: <application list>.

Recommendation:

  • Set up a different port for each of the Applications listed above.


Error Messages > Configuration Checker Error Messages

SCI-CCE-002

Solution <solution name> does not contain any components.

Recommendation:

  • Add components to <solution name>.


Error Messages > Configuration Checker Error Messages

SCI-CCE-003

Solution Control Server <SCS name> is not connected to the Message Server(s). It cannot process alarms from applications.

Recommendation:

  • Add the Message Server(s) to the Connections tab of Solution Control Server <SCS name>.


Error Messages > Configuration Checker Error Messages

SCI-CCE-004

Message Server <Message Server name> does not have a connection to the Database Access Point although the "db_storage" option is set to true. Message Server is unable to store log records in the database.

Recommendation:

  • Add the Database Access Point to the Connections tab of Message Server <Message Server name>.


Error Messages > Configuration Checker Error Messages

SCI-CCE-005

No Alarms can be received from application <application name> because log output of type "Network" is not configured.

Recommendation:

  • Add log output of type "Network" to the log options of the Application <application name>. Confirm that Message Server is added to the Connections tab of this Application.


Error Messages > Configuration Checker Error Messages

SCI-CCE-006

No Alarms can be received from application <application name> because it has no connection to the Message Server.

Recommendation:

  • Add the Message Server to the Connections tab of the Application <application name> and make sure that log output of type "Network" is added to the log options of the Application.


Error Messages > Configuration Checker Error Messages

SCI-CCE-007

No Alarms can be received from application <application name> because the "verbose" log option setting disables sending log messages to the "Network" log output.

Recommendation:

  • Change the "verbose" option setting of the Application <application name>.


Error Messages > Configuration Checker Error Messages

SCI-CCE-008

Detect Event for the Alarm Condition <alarm condition> uses the application type <application type> but no applications of this type are configured. This Alarm Condition will not trigger any alarms.

Recommendation:

  • Change the Application type in Detect Event of the Alarm Condition <alarm condition>.


Error Messages > Configuration Checker Error Messages

SCI-CCE-009

Detect Event for Alarm Condition <alarm condition> uses DBID <object id> but no such application is configured. This Alarm Condition will not trigger any alarm.

Recommendation:

  • Change the Application in Detect Event of Alarm Condition <alarm condition>.


Error Messages > Configuration Checker Error Messages

SCI-CCE-010

Alarm Condition <alarm condition> will not trigger Alarms from application <application name> because log output of type "Network" is not configured.

Recommendation:

  • Add log output of type "Network" to the log options of Application <application name> and verify that Message Server is added to the Application's Connections tab.


Error Messages > Configuration Checker Error Messages

SCI-CCE-011

Alarm Condition <alarm condition> will not trigger Alarms from application <application name> because the application is not connected to Message Server.

Recommendation:

  • Add Message Server to the Connections tab of Application <application name> and verify that log output of type "Network" is specified in the Application's log options.


Error Messages > Configuration Checker Error Messages

SCI-CCE-012

Alarm Condition <alarm condition> will not trigger Alarms from application <application name> because the Verbose log option setting disables sending log messages to the Network log output.

Recommendation:

  • Change the "verbose" log option setting of Application <application name>.


Error Messages > Configuration Checker Error Messages

SCI-CCW-001

Application <application name> is not associated with any host.

Recommendation:

  • Set up a host for Application <application name>.


Error Messages > Configuration Checker Error Messages

SCI-CCW-002

There is no Solution Control Server configured.

Recommendation:

  • Configure a Solution Control Server Application.


Error Messages > Configuration Checker Error Messages

SCI-CCW-003

There is no Message Server configured.

Recommendation:

  • Configure a Message Server Application.


Error Messages > Configuration Checker Error Messages

SCI-CCW-004

Solution Control Server <SCS name> has no connection to Message Server <Message Server name>. Solution Control Server <SCS name> is unable to process Alarms from the following applications: <applications list>

Recommendation:

  • Add Message Server <Message Server name> to the Connections tab of Solution Control Server <SCS name>.


Error Messages > Configuration Checker Error Messages

SCI-CCW-005

Message Server <Message Server name> has the "db_storage" option set to false although the Database Access Point is specified in the Connections tab.

Recommendation:

  • Set the "db_storage" configuration option to true or remove the Database Access Point from the Connections tab.


Error Messages > Configuration Checker Error Messages

SCI-CCW-006

Local Control Agent port for host <host name> is not configured. Management Layer is unable to control applications on this host.

Recommendation:

  • Configure the LCA port on host <host name>.


Error Messages > Configuration Checker Error Messages

SCI-CCW-007

Solution Control Interface <SCI name> does not have a connection to Solution Control Server. Solution Control Interface is unable to control applications and solutions.

Recommendation:

  • Add Solution Control Server to the Connections tab of Solution Control Interface <SCI name>.


Error Messages > Configuration Checker Error Messages

SCI-CCW-008

Solution Control Interface <SCI name> has a connection to Database Access Point <DAP name> which is not used by any Message Server to store log records.

Recommendation:

  • Remove Database Access Point <DAP name> from the Connections tab of the Solution Control Interface Application <SCI name>.


Error Messages > Configuration Checker Error Messages

SCI-CCW-009

Solution Control Interface <SCI name> does not have a connection to Database Access Point <DAP name> which is used by Message Server <Message Server name> to store log records. Solution Control Interface is unable to access those log records.

Recommendation:

  • Add Database Access Point <DAP name> to the Connections tab of the Solution Control Interface Application <SCI name>.


Error Messages > Configuration Checker Error Messages

SCI-CCW-010

Solution Control Interface <SCI name> does not have a connection to the Database Access Point. Solution Control Interface is unable to access log storage.

Recommendation:

  • Add the Database Access Point to the Connections tab of the Solution Control Interface Application <SCI name>.